(function ($) {
	("use strict");

	$(".white-latham-logo").hide();

	// DOCUMENT READY
	$(function () {
		function LathamLiners(element) {
			this.element = element;
			this.scenes = ["001", "002", "003"];
			this.pools = ["197", "199", "200"];
			this.angles = ["001", "002", "003", "004", "006"];
			this.thumbnails = [];
			this.pluginContainer = $(".gsg-ll");
			this.cameraAngleModal = $("#camera-angle-container");
			this.stepsWrapper = this.element.children(".tab-content");
			this.steps = this.element.find(".step-content");
			this.currentCanvasPath = document.getElementById(
				"configurator-image"
			).src;
			this.initSW = document.getElementById("init-sw");
			this.activeCanvas = this.element.find(".configurator-preview");
			this.nightCanvasActive = false;

			//different steps
			this.backyardStep = this.element.find(".ll-step-one");
			this.poolStep = this.element.find(".ll-step-two");
			this.linerStep = this.element.find(".ll-step-three");
			this.finishedStep = $("body").find(".ll-finished");
			this.stepNavigation = this.element.find(".step-anchor");

			this.jQueryTarget = $("#step-3");
			this.dropdownElem = document.querySelector(".dropdown-trigger");
			this.fabElem = document.querySelector(".fixed-action-btn");
			this.slickSelector = $(".liner-slick-container");

			//used to check if the builder content has been loaded properly
			this.filteredCarousel = false;

			this.dealerCategories = {
				us: [
					{
						id: "000",
						file: "000_Bali-BlueGranite.jpg",
						name: "Bali / Blue Granite",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "001",
						file: "001_Barolo-Prism.jpg",
						name: "Barolo / Prism",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "002",
						file: "002_Cancun-BlueGranite.jpg",
						name: "Cancun / Blue Granite",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "003",
						file: "003_Capri-FrescoII.jpg",
						name: "Capri / FrescoII",
						fullFloor: false,
						colorGroup: "light",
					},
					{
						id: "004",
						file: "004_CobaltLake-GreyMosaic",
						name: "Cobalt Lake / Grey Mosaic",
						fullFloor: false,
						colorGroup: "light",
					},
					{
						id: "005",
						file: "005_CourtstoneBlue-NaturalBlue.jpg",
						name: "Courtstone Blue / Natural Blue",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "006",
						file: "006_Courtstone-NaturalGray.jpg",
						name: "Courstone / Natural Gray",
						fullFloor: false,
						colorGroup: "light",
					},
					{
						id: "007",
						file: "007_Coventry-Prism.jpg",
						name: "Coventry / Prism",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "008",
						file: "008_Dolphin-RoyalSeabrook.jpg",
						name: "Dolphin / Royal Seabrook",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "009",
						file: "009_GulfCoast-TanSeastone.jpg",
						name: "Gulf Coast / Tan Seastone",
						fullFloor: false,
						colorGroup: "light",
					},
					{
						id: "010",
						file: "010_Hampton-Seaglass.jpg",
						name: "Hampton / Seaglass",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "011",
						file: "011_IndigoMarble-BlueGranite.jpg",
						name: "Indigo Marble / Blue Granite",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "012",
						file: "012_Legends-DeepBlueFusion.jpg",
						name: "Legends / Deep Blue Fusion",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "013",
						file: "013_MarbleInlay-Crystal.jpg",
						name: "Marble Inlay / Crystal",
						fullFloor: false,
						colorGroup: "light",
					},
					{
						id: "014",
						file: "014_Moonstruck-Creekstone.jpg",
						name: "Moonstruck / Creekstone",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "015",
						file: "015_MountainTop-BlueMosaic.jpg",
						name: "Mountain Top / Blue Mosaic",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "016",
						file: "016_Nantucket-BlueSeastone.jpg",
						name: "Nantucket / Blue Seastone",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "017",
						file: "017_OceanBarolo-NaturalBlue.jpg",
						name: "Ocean Barolo / Natural Blue",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "018",
						file: "018_Oxford-ExlectricAquarius.jpg",
						name: "Oxford / Electric Aquarius",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "019",
						file: "019_PacificTide-Prism.jpg",
						name: "Pacific Tide / Prism",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "020",
						file: "020_Panama-RoyalPrism.jpg",
						name: "Panama/ Royal Prism",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "021",
						file: "021_Seaside-Glacier.jpg",
						name: "Seaside / Glacier",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "022",
						file: "022_Stonebraid-RoyalPrism.jpg",
						name: "Stonebraid / Royal Prism",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "023",
						file: "023_Summerwave-DeepBlueFusion.jpg",
						name: "Summerwave / Deep Blue Fusion",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "024",
						file: "024_TanSierra-GoldPebble.jpg",
						name: "Tan Sierra / Gold Pebble",
						fullFloor: false,
						colorGroup: "light",
					},
					{
						id: "025",
						file: "025_VintageMosaic-BlueMosaic.jpg",
						name: "Vintage Mosaic / Blue Mosaic",
						fullFloor: false,
						colorGroup: "med",
					},
				],
				ca: [
					{
						id: "000",
						file: "000_Bali-BlueGranite.jpg",
						name: "Bali-BlueGranite",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "001",
						file: "001_Barolo-Prism.jpg",
						name: "Barolo-Prism",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "003",
						file: "003_Capri-FrescoII.jpg",
						name: "Capri-FrescoII",
						fullFloor: false,
						colorGroup: "light",
					},
					{
						id: "004",
						file: "004_CobaltLake-GreyMosaic",
						name: "Cobalt Lake / Grey Mosaic",
						fullFloor: false,
						colorGroup: "light",
					},
					{
						id: "005",
						file: "005_CourtstoneBlue-NaturalBlue.jpg",
						name: "Courtstone Blue / Natural Blue",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "006",
						file: "006_Courtstone-NaturalGray.jpg",
						name: "Courstone / Natural Gray",
						fullFloor: false,
						colorGroup: "light",
					},
					{
						id: "007",
						file: "007_Coventry-Prism.jpg",
						name: "Coventry / Prism",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "009",
						file: "009_GulfCoast-TanSeastone.jpg",
						name: "Gulf Coast / TanSeastone",
						fullFloor: false,
						colorGroup: "light",
					},
					{
						id: "010",
						file: "010_Hampton-Seaglass.jpg",
						name: "Hampton / Seaglass",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "011",
						file: "011_IndigoMarble-BlueGranite.jpg",
						name: "Indigo Marble / Blue Granite",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "012",
						file: "012_Legends-DeepBlueFusion.jpg",
						name: "Legends / Deep Blue Fusion",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "013",
						file: "013_MarbleInlay-Crystal.jpg",
						name: "Marble Inlay / Crystal",
						fullFloor: false,
						colorGroup: "light",
					},
					{
						id: "015",
						file: "015_MountainTop-BlueMosaic.jpg",
						name: "Mountain Top / Blue Mosaic",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "016",
						file: "016_Nantucket-BlueSeastone.jpg",
						name: "Nantucket / Blue Seastone",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "017",
						file: "017_OceanBarolo-NaturalBlue.jpg",
						name: "Ocean Barolo / Natural Blue",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "018",
						file: "018_Oxford-ExlectricAquarius.jpg",
						name: "Oxford / Electric Aquarius",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "019",
						file: "019_PacificTide-Prism.jpg",
						name: "Pacific Tide / Prism",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "020",
						file: "020_Panama-RoyalPrism.jpg",
						name: "Panama / Royal Prism",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "022",
						file: "022_Stonebraid-RoyalPrism.jpg",
						name: "Stonebraid / Royal Prism",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "023",
						file: "023_Summerwave-DeepBlueFusion.jpg",
						name: "Summerwave / Deep Blue Fusion",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "024",
						file: "024_TanSierra-GoldPebble.jpg",
						name: "Tan Sierra / Gold Pebble",
						fullFloor: false,
						colorGroup: "light",
					},
					{
						id: "025",
						file: "025_VintageMosaic-BlueMosaic.jpg",
						name: "Vintage Mosaic / Blue Mosaic",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "026",
						file: "026_Renegade-BlueMosaic.jpg",
						name: "Renegade / Blue Mosaic",
						fullFloor: false,
						colorGroup: "med",
					},
					{
						id: "027",
						file: "027_Terrazo-Coral.jpg",
						name: "Terrazo / Coral",
						fullFloor: false,
						colorGroup: "dark",
					},
					{
						id: "028",
						file: "028_Terrazo-ElectricAquarius.jpg",
						name: "Terrazo / Electric Aquarius",
						fullFloor: false,
						colorGroup: "dark",
					},
				],
				usFullFloor: [
					{
						id: "036",
						file: "036_-ButterflyEffectPearl.jpg",
						name: "Butterfly Effect Pearl",
						fullFloor: true,
						colorGroup: "dark",
					},
					{
						id: "037",
						file: "037_-DiscoPearl.jpg",
						name: "Disco Pearl",
						fullFloor: true,
						colorGroup: "med",
					},
					{
						id: "038",
						file: "038_-Onyx.jpg",
						name: "Onyx",
						fullFloor: true,
						colorGroup: "dark",
					},
					{
						id: "039",
						file: "039_-PixelBluePearl.jpg",
						name: "Pixel Blue Pearl",
						fullFloor: true,
						colorGroup: "med",
					},
					{
						id: "040",
						file: "040_-Reef.jpg",
						name: "Reef",
						fullFloor: true,
						colorGroup: "med",
					},
					{
						id: "041",
						file: "041_-PennyMosaic.jpg",
						name: "Penny Mosaic",
						fullFloor: true,
						colorGroup: "med",
					},
					{
						id: "059",
						file: "059_-RoyalPrism.jpg",
						name: "Royal Prism",
						fullFloor: true,
						colorGroup: "med",
					},
					{
						id: "047",
						file: "047_-GreyMosaic.jpg",
						name: "Grey Mosaic",
						fullFloor: true,
						colorGroup: "light",
					},
					{
						id: "045",
						file: "045_-Prism.jpg",
						name: "Prism",
						fullFloor: true,
						colorGroup: "dark",
					},
					{
						id: "046",
						file: "046_-FrescoII.jpg",
						name: "FrescoII",
						fullFloor: true,
						colorGroup: "light",
					},
					{
						id: "047",
						file: "047_-GreyMosaic.jpg",
						name: "Grey Mosaic",
						fullFloor: true,
						colorGroup: "light",
					},
					{
						id: "048",
						file: "048_-NaturalBlue.jpg",
						name: "Natural Blue",
						fullFloor: true,
						colorGroup: "med",
					},
					{
						id: "049",
						file: "049_-NaturalGrey.jpg",
						name: "Natural Grey",
						fullFloor: true,
						colorGroup: "light",
					},
					{
						id: "052",
						file: "052_-Seaglass.jpg",
						name: "Seaglass",
						fullFloor: true,
						colorGroup: "med",
					},
					{
						id: "053",
						file: "053_-DeepBlueFusion.jpg",
						name: "Deep Blue Fusion",
						fullFloor: true,
						colorGroup: "dark",
					},
					{
						id: "054",
						file: "054_-Crystal.jpg",
						name: "Crystal",
						fullFloor: true,
						colorGroup: "light",
					},
					{
						id: "055",
						file: "055_-Creekstone.jpg",
						name: "Creekstone",
						fullFloor: true,
						colorGroup: "med",
					},
					{
						id: "056",
						file: "056_-BlueMosaic.jpg",
						name: "Blue Mosaic",
						fullFloor: true,
						colorGroup: "med",
					},
				],
				caFullFloor: [
					{
						id: "037",
						file: "037_-DiscoPearl.jpg",
						name: "Disco Pearl",
						fullFloor: true,
						colorGroup: "med",
					},
					{
						id: "038",
						file: "038_-Onyx.jpg",
						name: "Onyx",
						fullFloor: true,
						colorGroup: "dark",
					},
					{
						id: "039",
						file: "039_-PixelBluePearl.jpg",
						name: "Pixel Blue Pearl",
						fullFloor: true,
						colorGroup: "med",
					},
					{
						id: "040",
						file: "040_-Reef.jpg",
						name: "Reef",
						fullFloor: true,
						colorGroup: "med",
					},
					{
						id: "041",
						file: "041_-PennyMosaic.jpg",
						name: "Penny Mosaic",
						fullFloor: true,
						colorGroup: "med",
					},
					{
						id: "042",
						file: "042_-UrbanMarble.jpg",
						name: "Urban Marble",
						fullFloor: true,
						colorGroup: "light",
					},
					{
						id: "045",
						file: "045_-Prism.jpg",
						name: "Prism",
						fullFloor: true,
						colorGroup: "dark",
					},
					{
						id: "046",
						file: "046_-FrescoII.jpg",
						name: "FrescoII",
						fullFloor: true,
						colorGroup: "light",
					},
					{
						id: "047",
						file: "047_-GreyMosaic.jpg",
						name: "Grey Mosaic",
						fullFloor: true,
						colorGroup: "light",
					},
					{
						id: "048",
						file: "048_-NaturalBlue.jpg",
						name: "Natural Blue",
						fullFloor: true,
						colorGroup: "med",
					},
					{
						id: "049",
						file: "049_-NaturalGrey.jpg",
						name: "Natural Grey",
						fullFloor: true,
						colorGroup: "light",
					},
					{
						id: "053",
						file: "053_-DeepBlueFusion.jpg",
						name: "Deep Blue Fusion",
						fullFloor: true,
						colorGroup: "dark",
					},
					{
						id: "054",
						file: "054_-Crystal.jpg",
						name: "Crystal",
						fullFloor: true,
						colorGroup: "light",
					},
					{
						id: "056",
						file: "056_-BlueMosaic.jpg",
						name: "Blue Mosaic",
						fullFloor: true,
						colorGroup: "med",
					},
				],
				npt: [
					{
						id: "029",
						file: "029_Aquarius-TahoeBlue.jpg",
						name: "Aquarius / Tahoe Blue",
						fullFloor: false,
						colorGroup: "med",
						isNpt: true,
					},
					{
						id: "030",
						file: "030_AztecCobalt-AquaBlue.jpg",
						name: "Aztec Cobalt / Aqua Blue",
						fullFloor: false,
						colorGroup: "med",
						isNpt: true,
					},
					{
						id: "031",
						file: "031_Equinox-Iolite.jpg",
						name: "Equinox / Iolite",
						fullFloor: false,
						colorGroup: "med",
						isNpt: true,
					},
					{
						id: "032",
						file: "032_Escapes-MarinaBlue.jpg",
						name: "Escapes / Marina Blue",
						fullFloor: false,
						colorGroup: "med",
						isNpt: true,
					},
					{
						id: "033",
						file: "033_Ridgeline-TahoeGrey.jpg",
						name: "Ridgeline / Grey Tahoe",
						fullFloor: false,
						colorGroup: "med",
						isNpt: true,
					},
					{
						id: "034",
						file: "034_Verona-Iolite.jpg",
						name: "Verona / Iolite",
						fullFloor: false,
						colorGroup: "med",
						isNpt: true,
					},
					{
						id: "035",
						file: "035_Verona-MarinaBlue.jpg",
						name: "Verona / Marina Blue",
						fullFloor: false,
						colorGroup: "med",
						isNpt: true,
					},
					/*{
						id: "044",
						file: "044_-BlueGranite.jpg",
						name: "Blue Granite",
						fullFloor: true,
						colorGroup: "dark",
						isNpt: true,
					},
					{
            id: "045",
            file: "045_-Prism.jpg",
            name: "Prism",
            fullFloor: true,
            colorGroup: "dark",
            isNpt: true,
          },
          {
            id: "046",
            file: "046_-FrescoII.jpg",
            name: "FrescoII",
            fullFloor: true,
            colorGroup: "light",
            isNpt: true,
          },
          {
            id: "047",
            file: "047_-GreyMosaic.jpg",
            name: "Grey Mosaic",
            fullFloor: true,
            colorGroup: "light",
            isNpt: true,
          },
          {
            id: "048",
            file: "048_-NaturalBlue.jpg",
            name: "Natural Blue",
            fullFloor: true,
            colorGroup: "med",
            isNpt: true,
          },
          {
            id: "049",
            file: "049_-NaturalGrey.jpg",
            name: "Natural Grey",
            fullFloor: true,
            colorGroup: "light",
            isNpt: true,
          },
          {
            id: "050",
            file: "050_-Seabrook.jpg",
            name: "Seabrook",
            fullFloor: true,
            colorGroup: "med",
            isNpt: true,
          },
          {
            id: "052",
            file: "052_-Seaglass.jpg",
            name: "Seaglass",
            fullFloor: true,
            colorGroup: "med",
            isNpt: true,
          },
          {
            id: "053",
            file: "053_-DeepBlueFusion.jpg",
            name: "Deep Blue Fusion",
            fullFloor: true,
            colorGroup: "dark",
            isNpt: true,
          },
          {
            id: "054",
            file: "054_-Crystal.jpg",
            name: "Crystal",
            fullFloor: true,
            colorGroup: "light",
            isNpt: true,
          },
          {
            id: "055",
            file: "055_-Creekstone.jpg",
            name: "Creekstone",
            fullFloor: true,
            colorGroup: "med",
            isNpt: true,
          },
          {
            id: "056",
            file: "056_-BlueMosaic.jpg",
            name: "Blue Mosaic",
            fullFloor: true,
            colorGroup: "med",
            isNpt: true,
          },
          {
            id: "057",
            file: "057_-BlueSeastone.jpg",
            name: "Blue Seastone",
            fullFloor: true,
            colorGroup: "med",
            isNpt: true,
          },
          {
            id: "058",
            file: "058_-ElectricAquarius.jpg",
            name: "Electric Aquarius",
            fullFloor: true,
            colorGroup: "dark",
            isNpt: true,
          },
          {
            id: "059",
            file: "059_-RoyalPrism.jpg",
            name: "Royal Prism",
            fullFloor: true,
            colorGroup: "med",
            isNpt: true,
          },
          {
            id: "060",
            file: "060_-Glacier.jpg",
            name: "Glacier",
            fullFloor: true,
            colorGroup: "med",
            isNpt: true,
          },
          {
            id: "061",
            file: "061_-GoldPebble.jpg",
            name: "Gold Pebble",
            fullFloor: true,
            colorGroup: "light",
            isNpt: true,
          },
          {
            id: "062",
            file: "062_-Coral.jpg",
            name: "Coral",
            fullFloor: true,
            colorGroup: "med",
            isNpt: true,
          },*/
					{
						id: "063",
						file: "063_-TahoeBlue.jpg",
						name: "Tahoe Blue",
						fullFloor: true,
						colorGroup: "med",
						isNpt: true,
					},
					{
						id: "064",
						file: "064_-AquaBlue.jpg",
						name: "Aqua Blue",
						fullFloor: true,
						colorGroup: "med",
						isNpt: true,
					},
					{
						id: "065",
						file: "065_-Iolite.jpg",
						name: "Iolite",
						fullFloor: true,
						colorGroup: "med",
						isNpt: true,
					},
					{
						id: "066",
						file: "066_-MarinaBlue.jpg",
						name: "Marina Blue",
						fullFloor: true,
						colorGroup: "med",
						isNpt: true,
					},
					{
						id: "067",
						file: "067_-TahoeGrey.jpg",
						name: "GreyTahoe",
						fullFloor: true,
						colorGroup: "med",
						isNpt: true,
					},
				],
			};

			this.canvasImage = document.getElementById("configurator-image");
			//this.canvasImage2 = $("#configurator-image");
			this.urlPrefix =
				"https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/liners/2020/";
			this.urlThumbnails =
				"https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/thumbs-2020/";
			this.scene = "001";
			this.pool = "197";
			this.cam = "004";
			this.nightmode = false;
			this.liner = "000";
			this.cacheBeforeLiner = {};
			//this.initSlick();
			this.bindEvents();
			this.bindSmartWizardEventFirst();
			this.loadStepWizard();
			this.bindSmartWizardEventsAfter();
		}
		LathamLiners.prototype.nightModeOn = function () {
			this.nightmode = true;
			this.update();
		};
		LathamLiners.prototype.nightModeOff = function () {
			this.nightmode = false;
			this.update();
		};
		LathamLiners.prototype.isNightMode = function () {
			if (this.nightmode === true) {
				return "n";
			} else {
				return "";
			}
		};
		LathamLiners.prototype.getUrlPrefix = function () {
			return this.urlPrefix;
		};
		LathamLiners.prototype.getScene = function () {
			return this.scene;
		};
		LathamLiners.prototype.getPool = function () {
			return this.pool;
		};
		LathamLiners.prototype.getCam = function () {
			return this.cam;
		};
		LathamLiners.prototype.getLiner = function () {
			return this.liner;
		};

		LathamLiners.prototype.setScene = function (sceneIndex) {
			this.scene = sceneIndex;
			this.update();
		};
		LathamLiners.prototype.setPool = function (poolIndex) {
			this.pool = poolIndex;
			this.update();
		};
		LathamLiners.prototype.setCam = function (camIndex) {
			this.cam = camIndex;
			this.update();
		};
		LathamLiners.prototype.setLiner = function (linerIndex) {
			this.liner = linerIndex;
			this.update();
		};

		LathamLiners.prototype.currentStatus = function () {
			console.log("The current scene is " + this.scene);
			console.log("The current pool is " + this.pool);
			console.log("The current nightmode is " + this.nightmode);
			console.log("The current liner is " + this.liner);
		};

		LathamLiners.prototype.update = function () {
			var self = this;
			var prefix = this.getUrlPrefix();
			var scene = this.getScene();
			var pool = this.getPool();
			var cam = this.getCam();
			var liner = this.getLiner();
			this.canvasImage.src = `${prefix}Scene${scene}_Pool${pool}_Cam${cam}${this.isNightMode()}_${liner}.jpg`;
			this.loadThumbnails();
		};

		LathamLiners.prototype.bindEvents = function () {
			var self = this;
			$("input.cb-value2").val(".tile-pattern");

			$('[lang="fr"]').hide();

			$("select#ll-language-selector").on("change", function () {
				console.log(this.value);
				if ($("#ll-language-selector option:selected").val() == "en") {
					if ($('[lang="fr"]').is(":visible")) {
						$('[lang="fr"]').hide();
					}
					$('[lang="en"]').show();
				}
				if ($("#ll-language-selector option:selected").val() == "fr") {
					if ($('[lang="en"]').is(":visible")) {
						$('[lang="en"]').hide();
					}
					$('[lang="fr"]').show();
				}
			});

			$(".cb-value2").click(function () {
				var mainParent = $(this).parent(".full-floor-toggle");
				var check = $(mainParent).find("input.cb-value2").is(":checked");
				if (check === true) {
					$(this).val(".fullfloor");
					$(mainParent).addClass("active");
				} else {
					$(this).val(".tile-pattern");
					$(mainParent).removeClass("active");
				}
			});
			$(".filter-options.english").on("change", function () {
				//console.log($(this).val());
				if ($(this).val() === ".npt") {
					$(".npt-logo-identifier").show();
					$(".npt-logo-identifier").css("opacity", "1");
				} else {
					$(".npt-logo-identifier").hide();
					$(".npt-logo-identifier").css("opacity", "0");
				}
			});
			$(".filter-options, .cb-value2").on("change", function () {
				var filterClass = self.getFilterValue();
				if (filterClass !== "") {
					self.slickSelector.slick("slickUnfilter");
					self.slickSelector.slick("slickFilter", filterClass);
				} else {
					self.slickSelector.slick("slickUnfilter");
				}
			});
			$("#step-0 a.ll-btn").click(function (e) {
				self.smartWizard.smartWizard("next");
			});

			$(".cb-value").click(function () {
				var mainParent = $(this).parent(".lltoggle-btn");

				if ($(mainParent).find("input.cb-value").is(":checked")) {
					$(mainParent).addClass("active");
					self.nightModeOn();
				} else {
					$(mainParent).removeClass("active");
					self.nightModeOff();
				}
			});
			$(".camera-angle-icon-container, .modal-close-btn").click(function () {
				$(".camera-angle-icon-container a i").toggleClass("toggle-active");

				$("#camera-angle-container").animate({
					width: "toggle",
					visibility: "toggle",
				});
			});

			//detect clicks on backyard style selector
			this.backyardStep.on("click", ".yard-selector", function (e) {
				e.stopPropagation();
				var arg = $(this);
				var scene = $(this).data("yard-id");
				var stepOneSelection = $("span.current-selection.step-1");
				$("body").removeClass(function (index, className) {
					return (className.match(/(^|\s)scene\S+/g) || []).join(" ");
				});
				$("body").addClass("scene" + scene);

				self.setScene(scene);

				self.updateStepIndicator(
					arg.data("yard-name"),
					stepOneSelection,
					$(".indicator-step-1")
				);
				self.activeSelectionClass();
			});

			//detect clicks on pool selector
			this.poolStep.on("click", ".pool-selector", function (event) {
				var arg = $(this);
				var pool = $(this).data("pool-id");
				var stepTwoSelection = $("span.current-selection.step-2");
				event.preventDefault();
				//event.stopPropagation();
				$("body").removeClass(function (index, className) {
					return (className.match(/(^|\s)pool\S+/g) || []).join(" ");
				});
				$("body").addClass("pool" + pool);

				self.setPool(pool.toString());

				self.updateStepIndicator(
					arg.data("pool-name"),
					stepTwoSelection,
					$(".indicator-step-2")
				);
				self.activeSelectionClass();
			});

			//detect clicks on liner selector
			this.linerStep.on("click", ".liner-selector", function (event) {
				var test = $(this).attr("src");
				var liner = $(this).data("liner-id");
				var name = $(this).data("liner-name");

				event.preventDefault();
				self.setLiner(liner);
				$(".current-selection.step-3").html(name);

				$("img.slick-slide").removeClass("ll-active");
				$(this).addClass("ll-active");

				if ($(".tile-pattern.npt").hasClass("ll-active")) {
					$(".npt-logo-identifier").show();
					$(".npt-logo-identifier").css("opacity", "1");
				} else {
					$(".npt-logo-identifier").hide();
					$(".npt-logo-identifier").css("opacity", "0");
				}

				event.stopPropagation();
			});

			$(".finish-button").click(function (e) {
				//e.preventDefault();
				self.finishStepsFunction();
			});

			$(document).on("click", ".angle-selector", function (e) {
				e.preventDefault();
				var camIndex = $(this).data("cam-id");
				var index = $(this).data("slick-index");
				$("body").removeClass(function (index, className) {
					return (className.match(/(^|\s)cam\S+/g) || []).join(" ");
				});
				$("body").addClass("cam" + camIndex);
				self.setCam(camIndex);
				$(".angle-selector").removeClass("ll-active-thumb");

				$(this).addClass("ll-active-thumb");

				if (
					$("#angle-select-thumbnails").slick("slickCurrentSlide") !== index
				) {
					$("#angle-select-thumbnails").slick("slickGoTo", index);
				}
			});
		};
		LathamLiners.prototype.bindSmartWizardEventFirst = function () {
			var self = this;
			var poolNameText = $(".ll-cfg-selection .current-selection.step-2");
			$("#init-sw").on("beginReset", function () {
				$(".step-anchor").removeClass("steps-menu-activated");
			});
			$("#init-sw").on("showStep", function (
				e,
				anchorObject,
				stepNumber,
				stepDirection,
				stepPosition
			) {
				if (0 < stepNumber) {
					$(".step-anchor").addClass("steps-menu-activated");
					$(".white-latham-logo").show();
				}
				if (0 === stepNumber) {
					if ($("body").hasClass("ll-finished")) {
						$("body").removeClass("ll-finished");
					}
					if (!$("body").hasClass("ll-intro")) {
						$("body").addClass("ll-intro");
					}
				}
				if ("final" === stepPosition) {
					self.activeSelectionClass();
					$(".show-ui-element").css("opacity", "1");

					if ($("body").hasClass("npt-active")) {
						$(".npt-logo-identifier").show();
					} else {
						$(".npt-logo-identifier").hide();
					}
				}
				if ("final" !== stepPosition) {
					$(".show-ui-element").css("opacity", "0");
					$(".npt-logo-identifier").hide();
					$("#camera-angle-container").animate(
						{
							width: "0px",
						},
						function () {
							$(this).css("visibility", "hidden");
						}
					);
					if ($("body").hasClass("ll-finished")) {
						$("body").removeClass("ll-finished");
					}
					if ($("#step-3").hasClass("step-3-completed")) {
						$("#step-3").removeClass("step-3-completed");
					}
				}

				if ($("body").hasClass("ll-intro") && 0 !== stepNumber) {
					$("body").removeClass("ll-intro");
				}

				if ($("body").hasClass("ll-step1") && 1 !== stepNumber) {
					$("body").removeClass("ll-step1");
				}

				if ($("body").hasClass("ll-step2") && 2 !== stepNumber) {
					$("body").removeClass("ll-step2");
				}

				if ($("body").hasClass("ll-step3") && 3 !== stepNumber) {
					$("body").removeClass("ll-step3");
				}

				if ($("body").hasClass("ll-step4") && 4 !== stepNumber) {
					$("body").removeClass("ll-step4");
				}
				if (0 === stepNumber) {
					if (!$("body").hasClass("ll-intro")) {
						$("body").addClass("ll-intro");
					}
				} else if (1 === stepNumber) {
					if (!$("body").hasClass("ll-step1")) {
						$("body").addClass("ll-step1");
					}
				} else if (2 === stepNumber) {
					if (!$("body").hasClass("ll-step2")) {
						$("body").addClass("ll-step2");
					}
				} else if (3 === stepNumber) {
					if ($("#ll-language-selector option:selected").val() == "fr") {
						$(".filter-options.english").remove();
					} else {
						$(".filter-options.french").remove();
					}

					if (!$("body").hasClass("ll-step3")) {
						$("body").addClass("ll-step3");
					}
				} else if (4 === stepNumber) {
					if (!$("body").hasClass("ll-finished")) {
						$("body").addClass("ll-finished");
						$("body").addClass("cam004");
					}
				}
				if (3 !== stepNumber) {
					self.setCam("004");
				} else {
					self.setCam("002");
				}
			});
		};
		LathamLiners.prototype.isEmpty = function (obj) {
			for (var key in obj) {
				if (obj.hasOwnProperty(key)) return false;
			}
			return true;
		};
		LathamLiners.prototype.bindSmartWizardEventsAfter = function () {
			var self = this;

			this.smartWizard.on("leaveStep", function (e, anchorObject, stepNumber) {
				//console.log(e);
				//e.stopPropagation();
				//return false;
				if (4 === stepNumber) {
					self.cameraAngleModal.iziModal("close");
				}
			});

			$("#init-sw").on("beginReset", function () {
				self.cameraAngleModal.iziModal("close");
			});
		};

		LathamLiners.prototype.updateStepIndicator = function (
			selection,
			container,
			indicatorContainer
		) {
			indicatorContainer.show();
			container.text(selection);
		};
		LathamLiners.prototype.loadThumbnails = function () {
			var self = this;
			var cam = this.cam;
			var arr = this.angles;
			var thumbnails = arr.filter((arrAngle) => arrAngle.toString() !== cam);
			var prefix = self.getUrlPrefix();
			var scene = self.getScene();
			var pool = self.getPool();
			var nightmode = self.isNightMode();
			var liner = self.getLiner();
			var i = 0;

			arr.forEach(function (angle) {
				i++;
				var anchor = $(`#thumb-anchor-${i}`);
				var thumb = $(`#thumb-anchor-${i} img`);

				anchor.attr({
					"data-cam-id": angle,
				});
				thumb.attr({
					src: `${prefix}Scene${scene}_Pool${pool}_Cam${angle}${nightmode}_${liner}.jpg`,
					"data-src": `${prefix}Scene${scene}_Pool${pool}_Cam${angle}${nightmode}_${liner}.jpg`,
				});
			});
		};

		// Fire off these functions when the user clicks 'Finish'
		LathamLiners.prototype.finishStepsFunction = function () {
			var self = this;
			var finishedMenu = $(".step-anchor li:last-child");
			self.cameraAngleModal.iziModal("open");

			$("#camera-angle-container").animate(
				{
					width: "200px",
					//marginLeft: "15px",
				},
				function () {
					$(this).css("visibility", "visible");
					//$("#backyard-config-summary, .step-anchor").css({
					//  maxWidth: $(".gsg-flex-container").width() + "px",
					//  width: $(".gsg-flex-container").width() + "px",
					//});
				}
			);
			$(".camera-angle-icon-container a i").addClass("toggle-active");

			finishedMenu.addClass("active");
			$(".ll-step-three").addClass("step-3-completed");
			$(".ui-config-icon").addClass("show-ui-element");

			$(".ll-stage-ui-icon").each(function () {
				$(this).addClass("show-ui-element");
			});
			$("#backyard-config-summary").slideDown({
				start: function () {
					$(this).css({
						display: "flex",
					});
				},
			});
			$(".latham-liner-container").addClass("sidebar-closed");
			$(".latham-column").addClass("show-mobile-ui");
		};

		LathamLiners.prototype.loadStepWizard = function () {
			this.smartWizard = $("#init-sw").smartWizard({
				selected: 0, // Initial selected step, 0 = first step
				keyNavigation: false, // Enable/Disable keyboard navigation(left and right keys are used if enabled)
				autoAdjustHeight: false, // Automatically adjust content height
				cycleSteps: true, // Allows to cycle the navigation of steps
				backButtonSupport: true, // Enable the back button support
				useURLhash: true, // Enable selection of the step basedf on url hash
				showStepURLhash: true,
				lang: {
					// Language variables
					next: "Next",
					previous: "Previous",
				},
				anchorSettings: {
					anchorClickable: true, // Enable/Disable anchor navigation
					enableAllAnchors: true, // Activates all anchors clickable all times
					markAllPreviousStepsAsDone: false,
					markDoneStep: true, // add done css
					removeDoneStepOnNavigateBack: true,
					enableAnchorOnDoneStep: true, // Enable/Disable the done steps navigation
				},

				//contentURL: null, // content url, Enables Ajax content loading. can set as data data-content-url on anchor
				transitionEffect: "none", // Effect on navigation, none/slide/fade
				transitionSpeed: "200",
			});
		};
		LathamLiners.prototype.determineSlickThumbnails = function (jsonResponse) {
			var linerThumbnails = {};
			var self = this;
			var ind = 0;
			var allowedFiles = {};

			// eslint-disable-next-line no-undef, camelcase
			if ("us" === latham_liners_ajax_object.region) {
				allowedFiles = [
					...this.dealerCategories.us,
					...this.dealerCategories.usFullFloor,
				];
			} else {
				allowedFiles = [
					...this.dealerCategories.ca,
					...this.dealerCategories.caFullFloor,
				];
			}

			// eslint-disable-next-line no-undef, camelcase
			if ("yes" === latham_liners_ajax_object.npt) {
				$("body").addClass("npt-active");
				allowedFiles = [...allowedFiles, ...this.dealerCategories.npt];
			}
			//console.log(allowedFiles);
			$.each(allowedFiles, function (key, value) {
				var img = "";
				img = $("<img />", {
					src: self.urlThumbnails + value.file,
					width: 300,
					class: `liner-selector ${value.isNpt === true ? "npt " : " "}${
						value.fullFloor ? "fullfloor " : "tile-pattern "
					}${value.colorGroup ? value.colorGroup : false}`,
					"data-liner-id": value.id ? value.id : false,
					"data-liner-name": value.name ? value.name : "",

					//'data-groups':
				}).appendTo($(".liner-slick-container"));
				return img;
			});
		};
		LathamLiners.prototype.activeSelectionClass = function () {
			$(this).removeClass("ll-active");
			$(this).addClass("ll-active");
		};

		LathamLiners.prototype.getFilterValue = function () {
			// Grab all the values from the filters.
			var values = $(".filter-action-wrap")
				.map(function () {
					// For each group, get the select values.
					var groupVal = $(this)
						.find("select")
						.map(function () {
							return $(this).val();
						})
						.get();

					var checkBoxVal = $(this)
						.find("input[type='checkbox']")
						.map(function () {
							return $(this).val();
						})
						.get();

					var finalArray = $.merge($.merge([], groupVal), checkBoxVal);
					//finalArray);
					// join the values together.
					return finalArray.join("");
				})
				.get();

			// Remove empty strings from the filter array.
			// and join together with a comma. this way you
			// can use multiple filters.
			return values
				.filter(function (n) {
					return "" !== n;
				})
				.join(",");
		};

		LathamLiners.prototype.initSlick = function () {
			var self = this;
			self.slickSelector.slick(this.slickOptions);
		};

		if (0 < $(".gsg-ll").length) {
			$(".gsg-ll").each(function () {
				var lathamLinersPlugin = new LathamLiners($(this));
				var target = document.querySelector("#step-3");
				var bodyTarget = document.querySelector("body");

				var observer = new MutationObserver(function () {
					if (target.classList.contains("step-3-completed")) {
						$(".nav-item.hidden").show();
						$(".nav-item.hidden").toggleClass("hidden done");
					}
				});
				var observer2 = new MutationObserver(function () {
					if (bodyTarget.classList.contains("ll-step3")) {
						$(".liner-slick-container").slick("setPosition");
					}
				});
				$("#ll-color-guide").iziModal({
					width: 900,
					borderBottom: true,
					zindex: 9999,
					focusInput: true,
					arrowKeys: false,
				});
				if ("yes" === latham_liners_ajax_object.npt) {
					$("#hot-spot-npt").iziModal({
						width: 900,
						borderBottom: true,
						zindex: 9999,
						padding: 60,
						focusInput: true,
						navigateArrows: "closeScreenEdge",
						arrowKeys: false,
						closeButton: true,
						appendTo: ".gsg-master-container", // or false
						appendToOverlay: ".gsg-master-container", // or false
						transitionIn: "fadeInUp",
						transitionOut: "comingOut",
						overlayColor: "rgba(0, 0, 0, 0.65)",
					});
				}
				$("#hot-spot-1").iziModal({
					width: 900,
					borderBottom: true,
					zindex: 9999,
					padding: 60,
					focusInput: true,
					navigateArrows: "closeScreenEdge",
					arrowKeys: false,
					closeButton: true,
					appendTo: ".gsg-master-container", // or false
					appendToOverlay: ".gsg-master-container", // or false
					transitionIn: "fadeInUp",
					transitionOut: "comingOut",
					overlayColor: "rgba(0, 0, 0, 0.65)",
				});
				$("#hot-spot-2").iziModal({
					width: 900,
					borderBottom: true,
					zindex: 9999,
					padding: 60,
					focusInput: true,
					navigateArrows: "closeScreenEdge",
					arrowKeys: false,
					closeButton: true,
					appendTo: ".gsg-master-container", // or false
					appendToOverlay: ".gsg-master-container", // or false
					transitionIn: "fadeInUp",
					transitionOut: "comingOut",
					overlayColor: "rgba(0, 0, 0, 0.65)",
				});
				$("#hot-spot-3").iziModal({
					width: 900,
					borderBottom: true,
					zindex: 9999,
					padding: 60,
					focusInput: true,
					navigateArrows: "closeScreenEdge",
					arrowKeys: false,
					closeButton: true,
					appendTo: ".gsg-master-container", // or false
					appendToOverlay: ".gsg-master-container", // or false
					transitionIn: "fadeInUp",
					transitionOut: "comingOut",
					overlayColor: "rgba(0, 0, 0, 0.65)",
				});
				/*$("#ll-language-select-modal").iziModal({
					width: 500,
					borderBottom: true,
					zindex: 999,
					padding: 60,
					focusInput: true,
					navigateArrows: "closeScreenEdge",
					arrowKeys: false,
					closeButton: true,
					appendTo: ".gsg-master-container", // or false
					appendToOverlay: ".gsg-master-container", // or false
					transitionIn: "fadeInUp",
					transitionOut: "comingOut",
					overlayColor: "rgba(0, 0, 0, 0.65)",
				});
				$("#ll-language-select-modal").iziModal("open");*/
				$.ajax({
					url:
						"https://storage.googleapis.com/storage/v1/b/latham-liner-configurator.appspot.com/o?",
					type: "get", //send it through get method
					data: {
						prefix: "liner-configurator/thumbs-2020/",
						delimiter: "/",
					},
					success: function (response) {
						lathamLinersPlugin.determineSlickThumbnails(response.items);
						loadSlick();
						$(".liner-slick-container").slick("slickFilter", ".tile-pattern");
						//lathamLinersPlugin.initSlick();
					},
				});

				function loadSlick() {
					$(".liner-slick-container")
						.not(".slick-initialized")
						.slick({
							slidesToShow: 9,
							slidesToScroll: 5,
							arrows: true,

							//draggable: false,
							autoplay: true,
							responsive: [
								{
									breakpoint: 1024,
									settings: {
										slidesToShow: 8,
										slidesToScroll: 3,
									},
								},
								{
									breakpoint: 600,
									settings: {
										slidesToShow: 6,
										slidesToScroll: 2,
									},
								},
								{
									breakpoint: 480,
									settings: {
										slidesToShow: 3,
										slidesToScroll: 1,
									},
								},
							],
						});
				}

				observer.observe(target, {
					attributes: true,
				});
				observer2.observe(bodyTarget, {
					attributes: true,
				});
				lathamLinersPlugin.cameraAngleModal.iziModal("close");
			});
		}

		//$("#backyard-config-summary").detach().append(".summary-configuration");
		$(".step-anchor").detach().appendTo(".summary-configuration");

		$(".nav-tabs>li.nav-item").click(function () {
			window.location = $(this).find("a").attr("href");
			return false;
		});
		$(".shop-by-filter .filter-options").change(function () {
			if ($(this).val() === ".npt") {
				// logic goes here
				$("body").addClass("is-npt");
			} else {
				// no option is selected
				$("body").removeClass("is-npt");
			}
		});
		$(document).on("click", function (e) {
			if (false === $(e.target).is(".yard-selector")) {
				$(".yard-selector").removeClass("ll-active");
			}
		});

		$(".liner-slick-container img.slick-slide").eq(0).addClass(".ll-active");
		$(".cardATags").eq(0).focus();

		$(document).keydown(function (e) {
			var liCount = $(".liner-slick-container img.slick-slide").length;
			var curentActive = 0;

			var eachCounter = 0;
			$(".liner-slick-container img.slick-slide").each(function () {
				if ($(this).hasClass("ll-active")) {
					curentActive = eachCounter;
				}
				eachCounter++;
			});

			if (37 == e.keyCode) {
				// left
				curentActive -= 1;
			} else if (39 == e.keyCode) {
				// right
				curentActive += 1;
			}
			if (38 == e.keyCode) {
				// top
				curentActive -= 1;
			}
			if (40 == e.keyCode) {
				// bott
				curentActive += 1;
			}

			if (curentActive == liCount) {
				curentActive = 0;
			}

			$(".liner-slick-container img.slick-slide").removeClass("ll-active");
			$(".liner-slick-container img.slick-slide")
				.eq(curentActive)
				.addClass("ll-active");

			$(".liner-slick-container img.slick-slide")
				.eq(curentActive)
				.trigger("click");
		});
	}); // end of document ready

	$(document).ready(function () {
		var hash = window.location.hash;
		var link = $("a");
		$("a.nav-link .step-title-container span.current-selection").click(
			function (e) {
				e.preventDefault();
				hash = link.attr("href");
				window.location = hash;
			}
		);
	});
})(jQuery);
