( function( $ ) {
	( 'use strict' );

	const observer = lozad(); // lazy loads elements with default selector as '.lozad'
	//const thumbnailPreload = $('.lozad');
	observer.observe();

	$( '.white-latham-logo' ).hide();

	// DOCUMENT READY
	$( function() {
		function LathamLiners( element ) {
			this.element = element;
			this.scenes = [ '001', '002', '003' ];
			this.pools = [ '197', '199', '200' ];
			this.angles = [ '001', '002', '003', '004', '006' ];
			this.pluginContainer = $( '.gsg-ll' );
			this.cameraAngleModal = $( '#camera-angle-container' );
			this.stepsWrapper = this.element.children( '.tab-content' );
			this.steps = this.element.find( '.step-content' );
			this.currentCanvasPath = document.getElementById(
				'configurator-image'
			).src;
			this.initSW = document.getElementById( 'init-sw' );
			this.activeCanvas = this.element.find( '.configurator-preview' );
			this.nightCanvasActive = false;
			this.stepOneSelectionMade = false;
			this.stepTwoSelectionMade = false;
			this.stepThreeSelectionMade = false;

			//different steps
			this.backyardStep = this.element.find( '.ll-step-one' );
			this.poolStep = this.element.find( '.ll-step-two' );
			this.linerStep = this.element.find( '.ll-step-three' );
			this.finishedStep = $( 'body' ).find( '.ll-finished' );
			this.stepNavigation = this.element.find( '.step-anchor' );

			this.jQueryTarget = $( '#step-3' );
			this.dropdownElem = document.querySelector( '.dropdown-trigger' );
			this.fabElem = document.querySelector( '.fixed-action-btn' );
			this.slickSelector = $( '.liner-slick-container' );
			this.slickOptions = {
				slidesToShow: 9,
				slidesToScroll: 1,
				arrows: true,

				//draggable: false,
				autoplay: true,
				responsive: [
					{
						breakpoint: 1024,
						settings: {
							slidesToShow: 8,
							slidesToScroll: 3
						}
					},
					{
						breakpoint: 600,
						settings: {
							slidesToShow: 6,
							slidesToScroll: 2
						}
					},
					{
						breakpoint: 480,
						settings: {
							slidesToShow: 3,
							slidesToScroll: 1
						}
					}
				]
			};

			//used to check if the builder content has been loaded properly
			this.filteredCarousel = false;

			//this.initSlick();
			this.bindEvents();
			this.bindSmartWizardEventFirst();
			this.loadStepWizard();
			this.bindSmartWizardEventsAfter();
			this.dealerCategories = {
				us: [
					{ file: '000_Bali-BlueGranite.jpg' },
					{ file: '001_Barolo-Prism.jpg' },
					{ file: '002_Cancun-BlueGranite.jpg' },
					{ file: '003_Capri-FrescoII.jpg' },
					{ file: '004_CrystalLake-Cobalt.jpg' },
					{ file: '005_CourtstoneBlue_NaturalBlue.jpg' },
					{ file: '006_Courstone-NaturalGray.jpg' },
					{ file: '007_Coventry-Prism.jpg' },
					{ file: '008_Dolphin-Seabrook.jpg' },
					{ file: '009_GulfCoast-TanSeastone.jpg' },
					{ file: '010_Hampton-Seaglass.jpg' },
					{ file: '011_IndigoMarble-BlueGranite.jpg' },
					{ file: '012_Legends-DeepBlueFusion.jpg' },
					{ file: '013_MarbleInlay-Crystal.jpg' },
					{ file: '014_Moonstruck-Creekstone.jpg' },
					{ file: '015_MountainTop-BlueMosaic.jpg' },
					{ file: '016_Nantucket-BlueSeastone.jpg' },
					{ file: '017_OceanBarolo-NaturalBlue.jpg' },
					{ file: '018_Oxford-ExlectricAquarius.jpg' },
					{ file: '019_PacificTide-Prism.jpg' },
					{ file: '020_Panama-RoyalPrism.jpg' },
					{ file: '021_Seaside-Glacier.jpg' },
					{ file: '022_Stonebraid-RoyalPrism.jpg' },
					{ file: '023_Summerwave-DeepBlueFusion.jpg' },
					{ file: '024_TanSierra-GoldPebble.jpg' },
					{ file: '025_VintageMosaic-BlueMosaic.jpg' }
				],
				ca: [
					{ file: '000_Bali-BlueGranite.jpg' },
					{ file: '001_Barolo-Prism.jpg' },
					{ file: '003_Capri-FrescoII.jpg' },
					{ file: '004_CrystalLake-Cobalt.jpg' },
					{ file: '005_CourtstoneBlue_NaturalBlue.jpg' },
					{ file: '006_Courstone-NaturalGray.jpg' },
					{ file: '007_Coventry-Prism.jpg' },
					{ file: '009_GulfCoast-TanSeastone.jpg' },
					{ file: '010_Hampton-Seaglass.jpg' },
					{ file: '011_IndigoMarble-BlueGranite.jpg' },
					{ file: '012_Legends-DeepBlueFusion.jpg' },
					{ file: '013_MarbleInlay-Crystal.jpg' },
					{ file: '015_MountainTop-BlueMosaic.jpg' },
					{ file: '016_Nantucket-BlueSeastone.jpg' },
					{ file: '017_OceanBarolo-NaturalBlue.jpg' },
					{ file: '018_Oxford-ExlectricAquarius.jpg' },
					{ file: '019_PacificTide-Prism.jpg' },
					{ file: '020_Panama-RoyalPrism.jpg' },
					{ file: '022_Stonebraid-RoyalPrism.jpg' },
					{ file: '023_Summerwave-DeepBlueFusion.jpg' },
					{ file: '024_TanSierra-GoldPebble.jpg' },
					{ file: '025_VintageMosaic-BlueMosaic.jpg' },
					{ file: '026_Renegade-BlueMosaic.jpg' },
					{ file: '027_Terrazo-Coral.jpg' },
					{ file: '028_Terrazo-ElectricAquarius.jpg' },
					{ file: '036_-ButterflyEffectPearl.jpg' }
				],
				usFullFloor: [
					{ file: '036_-ButterflyEffectPearl.jpg' },
					{ file: '037_-DiscoPearl.jpg' },
					{ file: '038_-Onyx.jpg' },
					{ file: '039_-PixelBluePearl.jpg' },
					{ file: '040_-Reef.jpg' },
					{ file: '041_-PennyMosaic.jpg' }
				],
				caFullFloor: [
					{ file: '037_-DiscoPearl.jpg' },
					{ file: '038_-Onyx.jpg' },
					{ file: '039_-PixelBluePearl.jpg' },
					{ file: '040_-Reef.jpg' },
					{ file: '041_-PennyMosaic.jpg' },
					{ file: '042_-UrbanMarble.jpg' }
				],
				npt: [
					{ file: '029_Aquarius-TahoeBlue.jpg' },
					{ file: '030_AztecCobalt-AquaBlue.jpg' },
					{ file: '031_Equinox-Iolite.jpg' },
					{ file: '032_Escapes-MarinaBlue.jpg' },
					{ file: '033_Ridgeline-TahoeGrey.jpg' },
					{ file: '034_Verona-Iolite.jpg' },
					{ file: '035_Verona-MarinaBlue.jpg' }
				]
			};
		}
		LathamLiners.prototype.linerTitleConvert = function( src ) {
			var url = src.substring( src.lastIndexOf( '/' ) + 5 );
			var name = url.slice( 0, -4 );

			var str2 = name.replace( /([A-Z])/g, ' $1' ).trim();
			var nameArr = str2.split( '-' );
			if ( 0 < nameArr.length ) {
				$( 'span.current-selection.step-3' ).html(
					nameArr[0] + ' / ' + nameArr[1]
				);
			} else {
				$( 'span.current-selection.step-3' ).html( nameArr[0]);
			}
		};
		LathamLiners.prototype.bindEvents = function() {
			var self = this;
			var filterClass = self.getFilterValue( this.value );
			$( 'select.filter-options' ).on( 'change', function() {
				self.slickSelector.slick( 'slickUnfilter' );

				if ( 'All' !== this.value ) {
					self.slickSelector.slick( 'slickFilter', filterClass );
				}
			});

			$( '#step-0 button.ll-btn' ).click( function() {
				self.smartWizard.smartWizard( 'next' );

				//this.smartWizard.smartWizard("next");
			});

			$( '.fullscreen-icon-toggle' ).click( function() {
				$( '.gsg-ll' ).toggleClass( 'fullscreenActivated' );
			});

			$( '.cb-value2' ).click( function() {
				var mainParent = $( this ).parent( '.full-floor-toggle' );
				var filterClass = self.getFilterValue2( 'fullfloor' );

				if ( $( mainParent ).find( 'input.cb-value2' ).is( ':checked' ) ) {
					$( mainParent ).addClass( 'active' );

					if ( 'All' !== this.value ) {
						self.slickSelector.slick( 'slickFilter', filterClass );
					}

					// Slickfilter
				} else {
					$( mainParent ).removeClass( 'active' );
					self.slickSelector.slick( 'slickUnfilter' );

					// Slickfilter
				}
			});

			$( '.cb-value' ).click( function() {
				var mainParent = $( this ).parent( '.lltoggle-btn' );
				var canvasParams = [ '', '', '', '' ];

				if ( $( mainParent ).find( 'input.cb-value' ).is( ':checked' ) ) {
					$( mainParent ).addClass( 'active' );
					self.nightCanvasActive = true;

					self.updateCanvasNew( ...canvasParams );
					self.angleThumbnailImages();
				} else {
					$( mainParent ).removeClass( 'active' );
					self.nightCanvasActive = false;

					//                 [scene, pool, cam, liner]

					self.updateCanvasNew( ...canvasParams );
					self.angleThumbnailImages();
				}
			});

			//detect clicks on backyard style selector
			this.backyardStep.on( 'click', '.yard-selector', function() {

				//event.preventDefault();
				var arg = $( this );
				var scene = $( this ).data( 'yard-id' );
				var stepOneSelection = $( 'span.current-selection.step-1' );

				//                 [scene, pool, cam, liner]
				var canvasParams = [ scene, '', '', '' ];

				self.updateCanvasNew( ...canvasParams );

				self.updateStepIndicator(
					arg.data( 'yard-name' ),
					stepOneSelection,
					$( '.indicator-step-1' )
				);
				self.activeSelectionClass();
			});

			//detect clicks on pool selector
			this.poolStep.on( 'click', '.pool-selector', function( event ) {
				var arg = $( this );
				var pool = $( this ).data( 'pool-id' );
				var stepTwoSelection = $( 'span.current-selection.step-2' );

				//                 [scene, pool, cam, liner]
				var canvasParams = [ '', pool, '', '' ];
				event.preventDefault();


				self.updateCanvasNew( ...canvasParams );
				self.updateStepIndicator(
					arg.data( 'pool-name' ),
					stepTwoSelection,
					$( '.indicator-step-2' )
				);
				self.activeSelectionClass();
				$( '.you-selected' ).show().css( 'display', 'block' );
			});

			//detect clicks on liner selector
			this.linerStep.on( 'click', '.liner-selector', function( event ) {
				var test = $( this ).attr( 'src' );
				var linerId = $( this ).data( 'liner-id' );

				//                 [scene, pool, cam, liner]
				var canvasParams = [ '', '', '', linerId ];
				self.linerTitleConvert( test );

				event.preventDefault();


				self.updateCanvasNew( ...canvasParams );
				$( 'img.slick-slide' ).removeClass( 'll-active' );
				$( this ).addClass( 'll-active' );

				$( '.you-selected' ).show().css( 'display', 'block' );
				$( '.dynamic-liner-title' ).show().css( 'display', 'block' );

				event.stopPropagation();
			});

			$( '.finish-button' ).click( function() {
				self.finishStepsFunction();
			});

			$( window ).on( 'load', function() {
				$( this ).scrollTop( 0 );
			});
		};
		LathamLiners.prototype.bindSmartWizardEventFirst = function() {
			var self = this;
			var canvasParams = [ '', '200', '002', '' ];
			var poolNameText = $(
				'.step-title-container .current-selection.step-2'
			);
			$( '#init-sw' ).on( 'beginReset', function() {
				$( '.step-anchor' ).removeClass( 'steps-menu-activated' );
			});
			$( '#init-sw' ).on( 'showStep', function(
				e,
				anchorObject,
				stepNumber,
				stepDirection,
				stepPosition
			) {
				if ( 0 < stepNumber ) {
					$( '.step-anchor' ).addClass( 'steps-menu-activated' );
					$( '.white-latham-logo' ).show();
				}
				if ( 0 === stepNumber ) {
					if ( $( 'body' ).hasClass( 'll-finished' ) ) {
						$( 'body' ).removeClass( 'll-finished' );
					}
					if ( ! $( 'body' ).hasClass( 'll-intro' ) ) {
						$( 'body' ).addClass( 'll-intro' );
					}
				}
				if ( 'final' === stepPosition ) {
					self.activeSelectionClass();
					$( '.show-ui-element' ).css( 'opacity', '1' );
				}
				if ( 'final' !== stepPosition ) {
					$( '.show-ui-element' ).css( 'opacity', '0' );
					if ( $( 'body' ).hasClass( 'll-finished' ) ) {
						$( 'body' ).removeClass( 'll-finished' );
					}
					if ( $( '#step-3' ).hasClass( 'step-3-completed' ) ) {
						$( '#step-3' ).removeClass( 'step-3-completed' );
					}
				}

				if ( $( 'body' ).hasClass( 'll-intro' ) && 0 !== stepNumber ) {
					$( 'body' ).removeClass( 'll-intro' );
				}

				if ( $( 'body' ).hasClass( 'll-step1' ) && 1 !== stepNumber ) {
					$( 'body' ).removeClass( 'll-step1' );
				}

				if ( $( 'body' ).hasClass( 'll-step2' ) && 2 !== stepNumber ) {
					$( 'body' ).removeClass( 'll-step2' );
				}

				if ( $( 'body' ).hasClass( 'll-step3' ) && 3 !== stepNumber ) {
					$( 'body' ).removeClass( 'll-step3' );
				}

				if ( $( 'body' ).hasClass( 'll-step4' ) && 4 !== stepNumber ) {
					$( 'body' ).removeClass( 'll-step4' );
				}
				if ( 0 === stepNumber ) {
					if ( ! $( 'body' ).hasClass( 'll-intro' ) ) {
						$( 'body' ).addClass( 'll-intro' );
					}
				} else if ( 1 === stepNumber ) {
					if ( ! $( 'body' ).hasClass( 'll-step1' ) ) {
						$( 'body' ).addClass( 'll-step1' );
					}
				} else if ( 2 === stepNumber ) {
					if ( ! $( 'body' ).hasClass( 'll-step2' ) ) {
						$( 'body' ).addClass( 'll-step2' );
					}
				} else if ( 3 === stepNumber ) {
					if ( ! $( 'body' ).hasClass( 'll-step3' ) ) {
						$( 'body' ).addClass( 'll-step3' );
					}

					//self.triggerResize();
					self.updateCanvasNew( ...canvasParams );

					//self.overrideAttributes("", "200", "002");
					self.linerSelectionOpen();
				} else if ( 4 === stepNumber ) {
					if ( ! $( 'body' ).hasClass( 'll-finished' ) ) {
						$( 'body' ).addClass( 'll-finished' );
					}
				}
				if ( 3 !== stepNumber ) {
					if ( 0 < poolNameText.text().length ) {
						if ( 'Freeform' === poolNameText.text() ) {
							canvasParams = [ '', '199', '004', '' ];
						} else if ( 'Rectangle' === poolNameText.text() ) {
							canvasParams = [ '', '197', '004', '' ];
						} else if ( 'True-L' === poolNameText.text() ) {
							canvasParams = [ '', '200', '004', '' ];
						} else {
							canvasParams = [ '', '', '004', '' ];
						}
						self.updateCanvasNew( ...canvasParams );
					}
				}
			});
		};
		LathamLiners.prototype.bindSmartWizardEventsAfter = function() {
			var self = this;

			this.smartWizard.on( 'leaveStep', function( e, anchorObject, stepNumber ) {
				var canvasParams = [ '', '', '004', '' ];
				if ( 3 === stepNumber ) {
					self.updateCanvasNew( ...canvasParams );

					//self.overrideAttributes("", "", "004");
					//self.linerSelectionClose( self.linerSelectionOpen );
					self.angleThumbnailImages();
				}

				if ( 4 === stepNumber ) {
					self.cameraAngleModal.iziModal( 'close' );
				}
			});

			$( '.step-anchor #reset-btn' ).on( 'click', function() {

				// Reset wizard
				$( '.step-anchor li:last-child' ).hide();
				self.smartWizard.smartWizard( 'reset' );
			});

			$( '#init-sw' ).on( 'beginReset', function() {
				self.cameraAngleModal.iziModal( 'close' );
			});
		};
		LathamLiners.prototype.linerSelectionOpen = function() {
			var fullPathStored = document.getElementById( 'configurator-image' ).src;
			return fullPathStored;
		};

		//LathamLiners.prototype.linerSelectionClose = function() {
		//	var self = this;
		//};

		LathamLiners.prototype.updateCanvasNew = function(
			scene,
			pool,
			cam,
			liner
		) {
			var self = this;
			var fullPath = document.getElementById( 'configurator-image' ).src;
			var filename = fullPath.replace( /^.*[\\/]/, '' );
			var sceneIndex = scene;
			var camIndex = cam;
			var nightmode = '';
			var poolIndex = pool;
			var linerIndex = liner;

			if ( '' === scene ) {
				sceneIndex = filename.slice(
					filename.indexOf( 'Scene' ) + 5,
					filename.indexOf( 'Scene' ) + 5 + 3
				);
			}

			if ( '' === pool ) {
				poolIndex = filename.slice(
					filename.indexOf( 'Pool' ) + 4,
					filename.indexOf( 'Pool' ) + 4 + 3
				);
			}
			if ( '' === cam ) {
				camIndex = filename.slice(
					filename.indexOf( 'Cam' ) + 3,
					filename.indexOf( 'Cam' ) + 3 + 3
				);
			}

			if ( '' === liner ) {
				linerIndex = filename.slice(
					filename.lastIndexOf( '_' ) + 1,
					filename.lastIndexOf( '_' ) + 4
				);
			}

			if ( true == self.nightCanvasActive ) {
				nightmode = 'n';
			}
			if ( '002' === camIndex && '200' !== pool ) {
				this.activeCanvas.attr(
					'src',
					`https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/liners/2020/Scene${sceneIndex}_Pool${poolIndex}_Cam${camIndex}${nightmode}_${linerIndex}.jpg`
				);
			} else {
				this.activeCanvas.attr(
					'src',
					`https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/liners/2020/Scene${sceneIndex}_Pool${poolIndex}_Cam${camIndex}${nightmode}_${linerIndex}.jpg`
				);
			}
			return false;
		};

		LathamLiners.prototype.updateStepIndicator = function(
			selection,
			container,
			indicatorContainer
		) {
			indicatorContainer.show();
			container.text( selection );
		};

		LathamLiners.prototype.getImageAttribute = function( attributeScope ) {
			var fullPath = document.getElementById( 'configurator-image' ).src;
			var filename = fullPath.replace( /^.*[\\\/]/, '' );
			var optionScope = attributeScope;
			var optionPosition = filename.indexOf( optionScope ) + 3;
			var res = filename.substr( optionPosition, 3 );

			return res;
		};

		//////// BEGIN HERE

		LathamLiners.prototype.thumbnailImageInstance = function(
			scene,
			pool,
			angleIndex,
			liner
		) {
			var self = this;
			var fullPath = document.getElementById( 'configurator-image' ).src;
			var filename = fullPath.replace( /^.*[\\\/]/, '' );

			if ( '' === scene ) {
				var sceneIndex = filename.slice(
					filename.indexOf( 'Scene' ) + 5,
					filename.indexOf( 'Scene' ) + 5 + 3
				);
			} else {
				var sceneIndex = scene;
			}

			if ( '' === pool ) {
				var poolIndex = filename.slice(
					filename.indexOf( 'Pool' ) + 4,
					filename.indexOf( 'Pool' ) + 4 + 3
				);
			} else {
				var poolIndex = pool;
			}
			if ( '' === angleIndex ) {
				var camIndex = filename.slice(
					filename.indexOf( 'Cam' ) + 3,
					filename.indexOf( 'Cam' ) + 3 + 3
				);
			} else {
				var camIndex = angleIndex;
			}

			if ( '' === liner ) {
				var linerIndex = filename.slice(
					filename.lastIndexOf( '_' ) + 1,
					filename.lastIndexOf( '_' ) + 4
				);
			} else {
				var linerIndex = liner;
			}

			if ( true == self.nightCanvasActive ) {
				var nightmode = 'n';
			} else {
				var nightmode = '';
			}

			return `<li><a href="#!${angleIndex}" class="angle-selector" data-cam-id="${angleIndex}" id="cam-${angleIndex}"><img src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/liners/2020/Scene${sceneIndex}_Pool${poolIndex}_Cam${camIndex}${nightmode}_${linerIndex}.jpg"" data-src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/liners/2020/Scene${sceneIndex}_Pool${poolIndex}_Cam${camIndex}${nightmode}_${linerIndex}.jpg" class="lozad ll-cfg-img"></a></li>`;

			//}
		};
		LathamLiners.prototype.triggerResize = function() {
			var self = this;
			window.dispatchEvent( new Event( 'resize' ) );
		};

		LathamLiners.prototype.angleThumbnailImages = function() {
			var self = this;
			var newAngles = this.angles;
			var angleSelectThumbnails = $( '#angle-select-thumbnails' );
			var currentAngle = self.getImageAttribute( 'Cam' );

			newAngles = jQuery.grep( newAngles, function( value ) {
				return value != currentAngle;
			});

			var thumbnailArray = newAngles;
			angleSelectThumbnails.empty();
			newAngles.slice( -4 ).forEach( function( angle ) {
				angleSelectThumbnails.append(
					self.thumbnailImageInstance( '', '', angle, '' )
				);
			});

			$( '.angle-selector' ).click( function( e ) {
				event.preventDefault();
				var cam = $( this ).data( 'cam-id' );

				//                 [scene, pool, cam, liner]
				if ( '002' === cam ) {
					var canvasParams = [ '', '200', cam, '' ];
				} else {
					var canvasParams = [ '', '', cam, '' ];
				}

				self.updateCanvasNew( ...canvasParams );
			});
		};

		// Fire off these functions when the user clicks 'Finish'
		LathamLiners.prototype.finishStepsFunction = function() {
			var self = this;

			//$('.step-anchor').css();
			//this.canviRight.open();
			self.cameraAngleModal.iziModal( 'open' );

			var finishedMenu = $( '.step-anchor li:last-child' );
			finishedMenu.addClass( 'active' );
			$( '.ll-step-three' ).addClass( 'step-3-completed' );
			$( '.ui-config-icon' ).addClass( 'show-ui-element' );

			$( '.ll-stage-ui-icon' ).each( function() {
				$( this ).addClass( 'show-ui-element' );
			});
			$( '#backyard-config-summary' ).slideDown({
				start: function() {
					$( this ).css({
						display: 'flex'
					});
				}
			});
			$( '.latham-liner-container' ).addClass( 'sidebar-closed' );
			$( '.latham-column' ).addClass( 'show-mobile-ui' );
		};

		LathamLiners.prototype.loadStepWizard = function() {
			this.smartWizard = $( '#init-sw' ).smartWizard({
				selected: 0, // Initial selected step, 0 = first step
				keyNavigation: false, // Enable/Disable keyboard navigation(left and right keys are used if enabled)
				autoAdjustHeight: false, // Automatically adjust content height
				cycleSteps: true, // Allows to cycle the navigation of steps
				backButtonSupport: true, // Enable the back button support
				useURLhash: true, // Enable selection of the step basedf on url hash
				showStepURLhash: true,
				lang: {

					// Language variables
					next: 'Next',
					previous: 'Previous'
				},
				anchorSettings: {
					anchorClickable: true, // Enable/Disable anchor navigation
					enableAllAnchors: true, // Activates all anchors clickable all times
					markAllPreviousStepsAsDone: false,
					markDoneStep: true, // add done css
					removeDoneStepOnNavigateBack: true,
					enableAnchorOnDoneStep: true // Enable/Disable the done steps navigation
				},

				//contentURL: null, // content url, Enables Ajax content loading. can set as data data-content-url on anchor
				transitionEffect: 'none', // Effect on navigation, none/slide/fade
				transitionSpeed: '200'
			});
		};
		LathamLiners.prototype.determineSlickThumbnails = function( jsonResponse ) {
			var linerThumbnails = {};
			var ind = 0;
			var allowedFiles = this.dealerCategories.ca.concat(
				this.dealerCategories.caFullFloor
			);

			$.each( jsonResponse, function( key, value ) {
				if ( value.hasOwnProperty( 'name' ) && value.hasOwnProperty( 'metadata' ) ) {
					ind++;
					let metadataOptions = value.metadata['Color-Class'];
					linerThumbnails[ind] = {};
					if ( true == value.metadata.isFullFloor ) {
						linerThumbnails[ind].fullFloor = true;
					}
					linerThumbnails[ind].file = value.name.slice(
						value.name.lastIndexOf( '/' ) + 1
					);
					linerThumbnails[ind].linerIndex = value.name.substring(
						value.name.lastIndexOf( '/' ) + 1,
						value.name.lastIndexOf( '/' ) + 4
					);
					linerThumbnails[ind].colorGroup = metadataOptions;
				}
			});
			// eslint-disable-next-line no-undef, camelcase
			if ( 'us' === latham_liners_ajax_object.region ) {
				allowedFiles = this.dealerCategories.us.concat(
					this.dealerCategories.caFullFloor
				);
			}

			// eslint-disable-next-line no-undef, camelcase
			if ( 'yes' === latham_liners_ajax_object.npt ) {
				allowedFiles = allowedFiles.concat();
				this.dealerCategories.npt;
			}
			const myArrayFiltered = Object.values( linerThumbnails ).filter( ( el ) => {
				return Object.values( allowedFiles ).some( ( f ) => {
					return f.file === el.file;
				});
			});
			$.each( myArrayFiltered, function( key, value ) {
				var img = '';
				if ( value.fullFloor ) {
					img = $( '<img />', {
						src:
							'https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/thumbs-2020/' +
							value.file,
						width: 300,
						class: 'liner-selector',
						'data-full-floor': value.fullFloor,
						'data-liner-id': value.linerIndex,
						'data-groups': value.colorGroup
					}).appendTo( $( '.liner-slick-container' ) );
				} else {
					img = $( '<img />', {
						src:
						'https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/thumbs-2020/' +
						value.file,
						width: 300,
						class: 'liner-selector',
						'data-liner-id': value.linerIndex,
						'data-groups': value.colorGroup
					}).appendTo( $( '.liner-slick-container' ) );
				}
			});
		};

		LathamLiners.prototype.activeSelectionClass = function() {
			$( this ).removeClass( 'll-active' );
			$( this ).addClass( 'll-active' );
		};

		LathamLiners.prototype.getFilterValue = function( value ) {
			return $( '.slick-track' ).find( 'img[data-groups=\'' + value + '\']' );
		};

		LathamLiners.prototype.getFilterValue2 = function(  ) {
			var values = $( '.category-group' ).map( function() {
				var groupVal = $( this ).find( 'input:checked' ).map( function() {
					return $( this ).val();
				}).get();
				return groupVal.join( ',' );
			}).get();
			return values.filter( function( n ) {
				return '' !== n;
			}).join( '' );

			//return $( '.slick-track' ).find( 'img[data-full-floor=\'' + value + '\']' );
		};
		LathamLiners.prototype.initSlick = function() {
			var self = this;
			self.slickSelector.slick( this.slickOptions );

			//latham_liners_ajax_object.region;
		};

		if ( 0 < $( '.gsg-ll' ).length ) {
			$( '.gsg-ll' ).each( function() {
				var lathamLinersPlugin = new LathamLiners( $( this ) );
				var target = document.querySelector( '#step-3' );
				var bodyTarget = document.querySelector( 'body' );

				var observer = new MutationObserver( function() {
					if ( target.classList.contains( 'step-3-completed' ) ) {

						//lathamLinersPlugin.linerSelectionClose( self.linerSelectionOpen );
						lathamLinersPlugin.updateCanvasNew( ...canvasParams );
						$( '.nav-item.hidden' ).show();
						$( '.nav-item.hidden' ).toggleClass( 'hidden done' );
					}
				});
				var observer2 = new MutationObserver( function() {
					if ( bodyTarget.classList.contains( 'll-step3' ) ) {

						//lathamLinersPlugin.triggerResize();
						$( '.liner-slick-container' ).slick( 'resize' );
					}
				});

				//                 [scene, pool, cam, liner]
				var canvasParams = [ '', '', '004', '' ];
				$( '#ll-color-guide' ).iziModal({
					width: 1100,
					borderBottom: true,
					zindex: 9999,
					focusInput: true,
					arrowKeys: false
				});
				$( '#camera-angle-container' ).iziModal({
					width: 1100,
					borderBottom: true,
					zindex: 9998,
					focusInput: true,
					arrowKeys: false,
					closeButton: true,
					appendTo: '#llcontainer', // or false
					appendToOverlay: '#llcontainer', // or false
					transitionIn: 'fadeInUp',
					transitionOut: 'comingOut',
					overlayColor: 'rgba(0, 0, 0, 0)',
					onClosing: lathamLinersPlugin.angleThumbnailImages(),
					onClosed: lathamLinersPlugin.angleThumbnailImages(),
					onOpening: lathamLinersPlugin.angleThumbnailImages(),
					onOpened: lathamLinersPlugin.angleThumbnailImages()
				});
				$( '#ll-modal-group' ).iziModal({
					width: 1100,
					borderBottom: true,
					group: 'hotspots',
					zindex: 9998,
					focusInput: true,
					arrowKeys: false,
					closeButton: true,
					appendTo: '#llcontainer', // or false
					appendToOverlay: '#llcontainer', // or false
					transitionIn: 'fadeInUp',
					transitionOut: 'comingOut',
					overlayColor: 'rgba(0, 0, 0, 0.65)',
					onClosing: lathamLinersPlugin.angleThumbnailImages(),
					onClosed: lathamLinersPlugin.angleThumbnailImages(),
					onOpening: lathamLinersPlugin.angleThumbnailImages(),
					onOpened: lathamLinersPlugin.angleThumbnailImages()
				});
				$.ajax({
					url:
						'https://storage.googleapis.com/storage/v1/b/latham-liner-configurator.appspot.com/o?',
					type: 'get', //send it through get method
					data: {
						prefix: 'liner-configurator/thumbs-2020/',
						delimiter: '/'
					},
					success: function( response ) {
						lathamLinersPlugin.determineSlickThumbnails( response.items );
						lathamLinersPlugin.initSlick();
					}
				});
				observer.observe( target, {
					attributes: true
				});
				observer2.observe( bodyTarget, {
					attributes: true
				});
				lathamLinersPlugin.cameraAngleModal.iziModal( 'close' );
			});
		}
		$( '.step-anchor' ).detach().appendTo( '.gsg-ll' );
		$( '#backyard-config-summary' ).detach().insertAfter( '.step-anchor' );

		$( document ).on( 'click', function( e ) {
			if ( false === $( e.target ).is( '.yard-selector' ) ) {
				$( '.yard-selector' ).removeClass( 'll-active' );
			}
		});

		$( 'img.slick-slide' ).eq( 0 ).addClass( '.ll-active' );
		$( '.cardATags' ).eq( 0 ).focus();

		$( document ).keydown( function( e ) {
			var liCount = $( 'img.slick-slide' ).length;
			var curentActive = 0;

			var eachCounter = 0;
			$( 'img.slick-slide' ).each( function() {
				if ( $( this ).hasClass( 'll-active' ) ) {
					curentActive = eachCounter;
				}
				eachCounter++;
			});

			if ( 37 == e.keyCode ) {

				// left
				curentActive -= 1;
			} else if ( 39 == e.keyCode ) {

				// right
				curentActive += 1;
			}
			if ( 38 == e.keyCode ) {

				// top
				curentActive -= 1;
			}
			if ( 40 == e.keyCode ) {

				// bott
				curentActive += 1;
			}

			if ( curentActive == liCount ) {
				curentActive = 0;
			}

			$( 'img.slick-slide' ).removeClass( 'll-active' );
			$( 'img.slick-slide' ).eq( curentActive ).addClass( 'll-active' );

			$( 'img.slick-slide' ).eq( curentActive ).trigger( 'click' );
		});
	}); // end of document ready
}( jQuery ) );
