<?php

/**
 *
 * @link              https://thegetsmartgroup.com
 * @since             1.0.0
 * @package           Latham_Liners
 *
 * @wordpress-plugin
 * Plugin Name:       Latham Liner Visualizer
 * Plugin URI:        https://lathampool.com/latham-liner-visualizer/installation/
 * Description:      	Choosing the perfect liner pattern just got easier! Now you can experience the fun and convenience of designing the perfect pool, right down to the hue of the water.
 * Version:           2.0.9
 * Author:            Get Smart Group
 * Author URI:        https://thegetsmartgroup.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       latham-liners
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}


/**
 * Currently plugin version.
 */
define( 'Latham_Liner_Visualizer', '2.0.9' );
define( 'MY_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'PLUGIN_NAME_VERSION', '2.0.9');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-latham-liners-activator.php
 */
function activate_latham_liners() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-latham-liners-activator.php';
	Latham_Liners_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-latham-liners-deactivator.php
 */
 
function deactivate_latham_liners() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-latham-liners-deactivator.php';
	Latham_Liners_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_latham_liners' );
register_deactivation_hook( __FILE__, 'deactivate_latham_liners');






/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-latham-liners.php';

/** 
 * Begins execution of the plugin. 
 * 
 * Since everything within the plugin is registered via hooks, 
 * then kicking off the plugin from this point in the file does 
 * not affect the page life cycle. 
 * 
 * @since    1.0.0
 */
function run_latham_liners() {

	$plugin = new Latham_Liners();
	$plugin->run();

}
run_latham_liners();