<?php
/**
 * @package    Latham_Liners
 * @subpackage Latham_Liners/gcloud
 * @author     Get Smart Group <plugins@thegetsmartgroup.com>
 * @version 0.1.0
 * @since   0.1.0
 */
 
//namespace Google\Cloud\Samples\Auth;
 
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Imports AppIdentityCredentials and the Cloud Storage client library.
#use Google\Auth\Credentials\AppIdentityCredentials;
#use Google\Cloud\Storage\StorageClient;

class Latham_Liners_Gcloud {	
  
  /**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $plugin_name    The ID of this plugin.
	 */
	private $plugin_name;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;
	
	
	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $plugin_name       The name of the plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;
		
		

	}
  
	function auth_cloud_explicit( $prefix )  {  
		$query_data = [
		  'prefix' => 'liner-configurator/'. $prefix .'/',
		  'delimiter' => '/'
		];
		$query = http_build_query($query_data, NULL, '&', PHP_QUERY_RFC3986);
		
		$url = 'https://storage.googleapis.com/storage/v1/b/latham-liner-configurator.appspot.com/o?' . $query;
		
		$request = wp_remote_get( $url ); 
		$body = wp_remote_retrieve_body( $request );
		$data = json_decode( $body, true );
		if( ! empty( $data ) ) {
		$properties = [];
			foreach(  $data['items'] as $key => $object ) {
			  $properties[$key]['name'] = $object['name'];
			  if( isset($object['metadata']['Color-Class'])  ) {
				$properties[$key]['color_group'] = $object['metadata']['Color-Class'];
			  } else {
				$properties[$key]['color_group'] = "All Liners";
			  }
			}
		}
		return $properties;  
		}
	  }
	  /*
	  function auth_cloud_explicit( $prefix )  {  
		$query_data = [
		  'prefix' => 'liner-configurator/thumbs/'. $prefix .'/'
		];
		$query = http_build_query($query_data, NULL, '&', PHP_QUERY_RFC3986);
		
		$url = 'https://storage.googleapis.com/storage/v1/b/latham-liner-configurator.appspot.com/o?' . $query;
		
		$request = wp_remote_get( $url ); 
		$body = wp_remote_retrieve_body( $request );
		$data = json_decode( $body, true );
		
		if( ! empty( $data ) ) {
		$properties = [];
			foreach(  $data['items'] as $key => $object ) {
			  $properties[$key]['name'] = $object['name'];
			  $properties[$key]['liner'] = $object['metadata']['Liner-Pattern'];
			  if( isset($object['metadata']['Color-Class'])  ) {
				$properties[$key]['color_group'] = $object['metadata']['Color-Class'];
			  } else {
				$properties[$key]['color_group'] = "All Liners";
			  }
			}
		}
		return $properties;  
		}
	  }*/