<?php
/**
* Provide a public-facing view for the plugin
* 
* This file is used to markup the public-facing aspects of the plugin.
*
* @link       https://thegetsmartgroup.com
* @since      1.0.0
*
* @package    Latham_Liners
* @subpackage Latham_Liners/public/partials
*/
$plugins_url        = plugins_url();
$base_url           = get_option( 'siteurl' );
$plugins_dir        = str_replace( $base_url, ABSPATH, $plugins_url );
$my_plugin          = $plugins_dir . '/latham-liners';
$my_plugin_master   = $plugins_dir . '/latham-liners-master';
$cdn_url            = 'https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator';
$the_liners_dir     = 'https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/liners/2020';
$yard_styles_dir    =  $cdn_url . '/backyards';
$plugin_options     = get_option( 'latham-liners-admin' );
if ( get_option( 'latham-liners-admin' ) && $plugin_options != FALSE ) {
    $gsg_ll_contact_btn_txt = $plugin_options["gsg_ll_contact_btn_txt"];
    $gsg_ll_contact_btn_url = $plugin_options["gsg_ll_contact_btn_url"];
    $nptcheck = $plugin_options["gsg_ll_checkbox_npt"];
}
?>
<div class="gsg-master-container">
    <div class="gsg-flex-container">
        <div class="gsg-ll">
            <script type="text/javascript">
            if (!('IntersectionObserver' in window)) {
                var script = document.createElement("script");
                script.src =
                    "https://raw.githubusercontent.com/w3c/IntersectionObserver/master/polyfill/intersection-observer.js";
                document.getElementsByTagName('head')[0].appendChild(script);
            }
            </script>
            <div id="llcontainer" class="ll-container">
                <div id="ll-color-guide" class="ll-izi-modal">
                    <button data-izimodal-close="" class="modal-close-btn">&times;
                    </button>
                    <img src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/ui-assets/latham-color-guide-new-opt.png"
                        alt="Latham Color Guide" lang="en">
                    <img src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/ui-assets/latham-color-guide-fr.png"
                        alt="Latham Color Guide" lang="fr">
                </div>
                <div class="white-latham-logo">
                    <a href="https://lathampools.com">
                        <i class="icon-lathampools_wordmark-white ll-ui-icon-shadow">
                        </i>
                    </a>
                </div>
                <div class="npt-logo-identifier">
                    <a data-izimodal-open="#hot-spot-npt" data-izimodal-transitionin="fadeInDown">
                        <i class="icon-npt-logo ll-ui-icon-shadow">
                        </i>
                    </a>
                </div>
                <div class="night-switch ll-stage-ui-icon">
                    <span class="night-switch-label">
                        <span lang="fr"></span><span lang="en">Day</span>
                    </span>
                    <div class="lltoggle-btn">
                        <input type="checkbox" class="cb-value" value=".fullfloor" />
                        <span class="round-btn">
                        </span>
                    </div>
                    <span class="night-switch-label"> <span lang="fr"></span><span lang="en">Evening</span>
                    </span>
                </div>
                <div class="row no-gutters">
                    <div class="col-12 latham-column" id="fullscreenElement">
                        <div class="row no-gutters">
                            <div class="col-12 latham-liner-container canvi-content">
                                <div class="ll-filler">
                                </div>
                                <img src="<?php echo $the_liners_dir ?>/Scene001_Pool197_Cam004_000.jpg"
                                    alt="The Backyard of your Dreams" class="configurator-preview ll-cfg-img"
                                    id="configurator-image" style="max-width: 100%; height: auto; width: 100%">
                                <img src="<?php echo $the_liners_dir ?>/Scene001_Pool197_Cam004_000.jpg"
                                    alt="The Backyard of your Dreams" class="configurator-sizer ll-cfg-img"
                                    style="max-width: 100%; height: auto; width: 100%">
                                <div class="camera-angle-icon-container">
                                    <a href="#" href="#" class="ll-stage-ui-icon">
                                        <i class="icon-exchange ll-ui-icon-shadow">
                                        </i>
                                    </a>
                                </div>
                                <div class="hot-spots-container ll-stage-ui-icon">
                                    <a href="#" href="#" class="ll-hotspot-ui-icon hs-marker hs-placement-1"
                                        data-izimodal-open="#hot-spot-1" data-izimodal-transitionin="fadeInDown">
                                        <i class="icon-lathampools_monogram-white ll-ui-icon-shadow">
                                        </i>
                                    </a>
                                    <a href="#" href="#" class="ll-hotspot-ui-icon hs-marker hs-placement-2"
                                        data-izimodal-open="#hot-spot-2" data-izimodal-transitionin="fadeInDown">
                                        <i class="icon-lathampools_monogram-white ll-ui-icon-shadow">
                                        </i>
                                    </a>
                                    <a href="#" href="#" class="ll-hotspot-ui-icon hs-marker hs-placement-3"
                                        data-izimodal-open="#hot-spot-3" data-izimodal-transitionin="fadeInDown">
                                        <i class="icon-lathampools_monogram-white ll-ui-icon-shadow">
                                        </i>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="latham-liner-content" id="latham-liner-container">
                            <div id="slide-out" class="sidenav force-100">
                                <div>
                                    <div id="init-sw">
                                        <div>
                                            <div id="step-0" class="ll-step-intro">
                                                <div class="reflection-bg intro-box">
                                                    <div class="intro-col-6">
                                                        <img src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/ui-assets/latham-logo-monogram-white.png"
                                                            alt="Latham Liner Visualizer" class="monogram-logo">
                                                    </div>
                                                    <div class="intro-col-6">
                                                        <header>

                                                            <h1><span lang="fr">Visualiseur de toile de
                                                                    vinyle</span><span lang="en">Vinyl Liner
                                                                    Visualizer</span></h1>
                                                            <h2><span lang="fr">Choisir le motif de toile parfait n'a
                                                                    jamais été aussi facile!</span><span
                                                                    lang="en">Choosing the perfect liner pattern just
                                                                    got easier!</span>
                                                            </h2>
                                                        </header>
                                                        <p><span lang="fr">Vous pouvez maintenant profiter du plaisir et
                                                                de la commodité de concevoir la piscine parfaite,
                                                                jusqu'à la teinte de l'eau.</span><span lang="en">Now
                                                                you can experience the fun and convenience of designing
                                                                the
                                                                perfect pool, right down to the hue of the water.</span>
                                                        </p>
                                                        <p><span lang="fr">Ensuite, il suffit de suivre trois étapes
                                                                simples :</span><span lang="en">Just follow three simple
                                                                steps:</span>
                                                        </p>
                                                        <ol>
                                                            <li><span lang="fr">Sélectionnez un style de
                                                                    cour</span><span lang="en">Select a yard
                                                                    style</span>
                                                            </li>
                                                            <li><span lang="fr">Choisissez une forme de
                                                                    piscine</span><span lang="en">Choose a Pool
                                                                    shape</span>
                                                            </li>
                                                            <li><span lang="fr">Commencez à magasiner pour votre
                                                                    nouvelle toile de piscine!</span><span
                                                                    lang="en">Start shopping liner patterns!</span>
                                                            </li>
                                                        </ol>
                                                        <br>
                                                        <?php if ($plugin_options["gsg_ll_country"] != "us") { ?>
                                                        <p>
                                                            <span>Please select your language: </span>
                                                            <select name="ll-language-selector"
                                                                id="ll-language-selector">
                                                                <option value="en">English</option>
                                                                <option value="fr">French</option>
                                                            </select></p>
                                                        <?php } ?>
                                                        <div class="ll-btn-contain">
                                                            <a href="#step-1" class="ll-btn ll-btn-main"><span
                                                                    lang="fr">Commençons!

                                                                </span><span lang="en">Let's
                                                                    Get
                                                                    Started!</span>
                                                            </a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="step-1" class="ll-step-one">
                                                <div class="yard-scenes">
                                                    <div class="styles">
                                                        <div class="modern">
                                                            <a class="yard-selector sw-btn-next" data-yard-id="001"
                                                                data-yard-name="Modern Ranch">
                                                                <span class="scene-title">
                                                                    <span class="eyebrow"><span
                                                                            lang="fr">Ranch</span><span
                                                                            lang="en">Modern</span>
                                                                    </span> <span lang="fr">Moderne</span><span
                                                                        lang="en">Ranch</span>
                                                                </span>
                                                                <img src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/backyards/modern-2020b.jpg"
                                                                    alt="Modern Ranch">
                                                            </a>
                                                        </div>
                                                        <div class="traditional">
                                                            <a class="yard-selector sw-btn-next" data-yard-id="002"
                                                                data-yard-name="Traditional Colonial">
                                                                <span class="scene-title">
                                                                    <span class="eyebrow"><span
                                                                            lang="fr">Colonial</span><span
                                                                            lang="en">Traditional</span>
                                                                    </span>
                                                                    <span lang="fr">Traditionnel</span><span
                                                                        lang="en">Colonial</span>
                                                                </span>
                                                                <img src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/backyards/traditional-new.jpg"
                                                                    alt="Traditional Colonial">
                                                            </a>
                                                        </div>
                                                        <div class="contemporary">
                                                            <a class="yard-selector sw-btn-next" data-yard-id="003"
                                                                data-yard-name="Contemporary Estate">
                                                                <span class="scene-title">
                                                                    <span class="eyebrow"><span
                                                                            lang="fr">Domaine</span><span
                                                                            lang="en">Contemporary</span>
                                                                    </span>
                                                                    <span lang="fr">Contemporain</span><span
                                                                        lang="en">Estate</span>
                                                                </span>
                                                                <img src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/backyards/contemporary-2020.jpg"
                                                                    alt="Contemporary Estate">
                                                            </a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <!---->
                                            <div id="step-2" class="ll-step-two">
                                                <div class="pool-selector-column">
                                                    <div class="pool-selector-container">
                                                        <div>
                                                            <a href="#!rectangle" class="hvr-grow pool-selector"
                                                                data-pool-id="197" data-pool-name="Rectangle">
                                                                <div class="pool-option">
                                                                    <i class="icon-rectangle">
                                                                    </i>
                                                                    <span lang="fr">Rectangle</span><span
                                                                        lang="en">Rectangle
                                                                    </span>
                                                                </div>
                                                            </a>
                                                            <a href="#!kidney" class="hvr-grow pool-selector"
                                                                data-pool-id="199" data-pool-name="Freeform">
                                                                <div class="pool-option">
                                                                    <i class="icon-freeform-pool">
                                                                    </i>
                                                                    <span lang="fr">Forme libre</span><span
                                                                        lang="en">Freeform
                                                                    </span>
                                                                </div>
                                                            </a>
                                                            <a href="#!lazy-l" class="hvr-grow pool-selector"
                                                                data-pool-id="200" data-pool-name="True-L">
                                                                <div class="pool-option">
                                                                    <i class="icon-lazy-l">
                                                                    </i>
                                                                    <span lang="fr">True-L</span><span lang="en">True-L
                                                                    </span>
                                                                </div>
                                                            </a>
                                                        </div>
                                                        <div class="ll-btn-contain">
                                                            <a class="sw-btn-next ll-btn ll-btn-main "><span
                                                                    lang="fr">Continuez</span><span lang="en">Continue
                                                                </span>
                                                            </a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="step-3" class="ll-step-three">
                                                <div class="step-3-flex">
                                                    <div class="step-3-container">
                                                        <div class="filter-action-wrap">
                                                            <a class="color-guide-link ll-btn ll-btn-color-guide"
                                                                data-izimodal-open="#ll-color-guide"
                                                                data-izimodal-transitionin="fadeInDown"><span
                                                                    lang="fr">Sélection de couleurs</span><span
                                                                    lang="en">Color Collection
                                                                    Guide</span>
                                                            </a>
                                                            <div class="divider-vert">
                                                            </div>
                                                            <!--<span><strong>View Water Color by:</strong></span>-->
                                                            <div class="shop-by-filter filter-group">
                                                                <select class="filter-options english slickFilterInput"
                                                                    lang="en">
                                                                    <option class="btn--filter" value="">
                                                                        All Liner Patterns
                                                                    </option>

                                                                    <?php if (isset($nptcheck) && $nptcheck == "yes") {?>
                                                                    <option class="btn--filter Dark" value=".npt">
                                                                        NPT
                                                                        Surfaces
                                                                    </option>
                                                                    <?php } ?>
                                                                    <option class="btn--filter" value=".light">
                                                                        Light &
                                                                        Tranquil
                                                                    </option>
                                                                    <option class="btn--filter" value=".med">Rich &
                                                                        Vibrant
                                                                    </option>
                                                                    <option class="btn--filter" value=".dark">Deep &
                                                                        Dramatic
                                                                    </option>
                                                                </select>

                                                                <select class="filter-options french slickFilterInput"
                                                                    lang="fr">
                                                                    <?php if (isset($nptcheck) && $nptcheck == "yes") {?>
                                                                    <option class="btn--filter Dark" value=".npt">
                                                                        <span lang="fr">NPT Surfaces</span>
                                                                    </option>
                                                                    <?php } ?>
                                                                    <option class="btn--filter" value="">
                                                                        Tous les modèles de toile
                                                                    </option>
                                                                    <option class="btn--filter" value=".light">
                                                                        Léger & Calme
                                                                    </option>
                                                                    <option class="btn--filter" value=".med">Riche &
                                                                        Vibrant
                                                                    </option>
                                                                    <option class="btn--filter" value=".dark">Profond &
                                                                        Intense
                                                                    </option>
                                                                </select>
                                                                <span lang="fr">Sélection</span><span
                                                                    lang="en">Collection
                                                                </span>
                                                            </div>
                                                            <div class="divider-vert">
                                                            </div>
                                                            <div class="fullfloor-switch">
                                                                <span class="fullfloor-switch-label">
                                                                    <span lang="fr">Motifs de bordure</span><span
                                                                        lang="en">Tile Patterns</span>
                                                                </span>
                                                                <div class="full-floor-toggle">
                                                                    <input type="checkbox" class="cb-value2" value="" />
                                                                    <span class="round-btn">
                                                                    </span>
                                                                </div>
                                                                <span class="fullfloor-switch"><span lang="fr">Motifs
                                                                        sans bordure</span><span lang="en">Full-Floor
                                                                        Patterns</span>
                                                                </span>
                                                            </div>
                                                            <div class="action-btn">
                                                                <a class="sw-btn-next ll-btn ll-btn-main finish-button"><span
                                                                        lang="fr">Voir ma piscine</span><span
                                                                        lang="en">See
                                                                        my pool!</span>
                                                                </a>
                                                            </div>
                                                        </div>
                                                        <div class="liner-thumbnail-container">
                                                            <div class="liner-slick-container">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="see-your-backyard" class="ll-step-four">
                                            </div>
                                        </div>
                                        <!-- menu for wizard -->
                                        <ul>
                                            <li>
                                                <a href="#step-0"><span lang="fr"></span><span lang="en">Introduction
                                                        <br />
                                                        <small>Latham Liner
                                                            Visualizer
                                                        </small></span>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#step-1">
                                                    <span class="eyebrow"><span lang="fr">Étape 1:</span><span
                                                            lang="en">Step
                                                            1:</span>
                                                    </span>
                                                    <span class="step-title"><span lang="fr">Choisissez un
                                                            style</span><span lang="en">Select a Style</span>
                                                    </span>
                                                    <div class="step-title-container">
                                                        <i class="icon-np_check_1973351_000000">
                                                        </i>
                                                        <span class="current-selection step-1">
                                                        </span>
                                                    </div>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#step-2">
                                                    <span class="eyebrow"><span lang="fr">Étape 2:</span><span
                                                            lang="en">Step
                                                            2:</span>
                                                    </span>
                                                    <span class="step-title"><span lang="fr">Choisissez une forme de
                                                            piscine</span><span lang="en">Select a Pool Shape</span>
                                                    </span>
                                                    <div class="step-title-container">
                                                        <i class="icon-np_check_1973351_000000">
                                                        </i>
                                                        <span class="current-selection step-2">
                                                        </span>
                                                    </div>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#step-3">
                                                    <span class="eyebrow"><span lang="fr">Étape 3:</span><span
                                                            lang="en">Step
                                                            3:</span>
                                                    </span>
                                                    <span class="step-title"><span lang="fr">Choisissez un motif de
                                                            toile</span><span lang="en">Select a Liner Pattern</span>
                                                    </span>
                                                    <div class="step-title-container">
                                                        <i class="icon-np_check_1973351_000000">
                                                        </i>
                                                        <span class="current-selection step-3">
                                                        </span>
                                                    </div>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#see-your-backyard">
                                                    <br>
                                                </a>
                                            </li>
                                        </ul>
                                        <!-- close container for wizard -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="ll-modal-group">
                        <div id="hot-spot-1" class="iziModal">
                            <button data-izimodal-close="" class="modal-close-btn">
                                <i class="icon-cancel ll-ui-icon-shadow">
                                </i>
                            </button>
                            <span class="hotspot-title"><span lang="fr"></span><span lang="en">Vinyl Oversteps</span>
                            </span>
                            <div class="ll-flex-row">
                                <p style="flex-grow: 1;width: 60%;"><span lang="fr">Complétez votre piscine avec des
                                        marches de piscine creusée sur mesure de Latham - un leader de confiance dans
                                        l'industrie avec plus de 60 ans d'expérience. Nous pouvons adapter des designs
                                        uniques à des piscines de tout style et de toute taille, y compris des modèles
                                        de marches intégrés ou à ajouter. Tous les motifs Latham sont disponibles en
                                        texture embossée ‘’Tread-Tex’’ pour les marches recouvertes de
                                        vinyle.</span><span lang="en">Complete your
                                        pool with custom inground pool entry
                                        steps by
                                        Latham — a trusted
                                        industry
                                        leader with more than 60 years of experience. We can tailor unique designs to
                                        pools
                                        in
                                        any style or size, including built-in and drop-in designs. All Latham patterns
                                        are
                                        available in Tread-Tex embossed texture material for vinyl over step
                                        applications.</span>
                                </p>
                                <div style="flex-grow: 1;width: 40%;">
                                    <img src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/ui-assets/vinyl-steps-2.jpg"
                                        alt="Vinyl Over Step System">
                                </div>
                            </div>
                        </div>
                        <div id="hot-spot-2" class="iziModal flag-hotspot">
                            <button data-izimodal-close="" class="modal-close-btn">
                                <i class="icon-cancel ll-ui-icon-shadow">
                                </i>
                            </button>
                            <span class="hotspot-title"><span lang="fr"></span><span lang="en">The Preferred Choice In
                                    Liners</span>
                            </span>
                            <div class="ll-flex-row">
                                <div>
                                    <i class="icon-lathampools_wordmark-white ll-ui-icon-shadow">
                                    </i>
                                    <?php if ($plugin_options["gsg_ll_country"] == "us") { ?>
                                    <img src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/ui-assets/us-flag.jpg"
                                        alt="Made in the US">
                                    <?php } else { ?>
                                    <img src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/ui-assets/ca-flag.jpg"
                                        alt="CA Flag">
                                    <?php }?>
                                </div>
                                <p>
                                    <span lang="fr">Les toiles Latham sont conçus et fabriqués à l'aide de la
                                        technologie la plus avancée et de matériaux de qualité supérieure. Vous obtenez
                                        ainsi une toile de la plus haute qualité et la mieux adaptée que vous puissiez
                                        acheter. Nous garantissons chaque toile avec l'une des meilleures garanties de
                                        l'industrie. C'est pourquoi la plupart des distributeurs proposent nos toiles
                                        plus que tout autre manufacturier !</span><span lang="en"> Latham liners are
                                        designed and manufactured
                                        using the most advanced technology using
                                        premium
                                        materials. As a result, you get the highest quality, best fitting liner money
                                        can
                                        buy. We
                                        back every liner with one of the best warranties in the industry. It’s why most
                                        dealers
                                        specify our liners than any other manufacturer!</span>
                                </p>
                            </div>
                        </div>
                        <div id="hot-spot-3" class="iziModal">
                            <button data-izimodal-close="" class="modal-close-btn">
                                <i class="icon-cancel ll-ui-icon-shadow">
                                </i>
                            </button>
                            <span class="hotspot-title"><span lang="fr">Ultra-Seam
                                    <sup>®
                                    </sup> Technology</span></span><span lang="en">Ultra-Seam
                                <sup>®
                                </sup> Technology</span>
                            </span>
                            <span class="hotspot-subtitle"><span lang="fr">Plus de 500 000 installations</span><span
                                    lang="en">Over 500 000 installs</span></span>
                            <img src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/ui-assets/ultra-seam-new.jpg"
                                alt="Vinyl Over Step System">
                            <span class="hotspot-subtitle2"><span lang="fr">Testées et approuvées comme étant les
                                    soudures les plus solides de l'industrie !</span><span lang="en">tested and proven
                                    to be the industry's strongest seams!</span></span>

                            <br>
                            <p><span lang="fr">Standard sur toutes les toiles Latham, notre technologie innovante
                                    Ultra-Seam élève notre toile à un tout autre niveau. Notre procédé exclusif rend les
                                    soudures du plancher plus résistantes et pratiquement invisibles, de sorte que rien
                                    ne vient gâcher la beauté parfaite de votre piscine.</span><span lang="en">Standard
                                    on every Latham liner, our innovative
                                    Ultra-Seam® technology elevates our liner
                                    to an entirely new category. Our exclusive process make floor seams stronger and
                                    virtually invisible so there’s nothing that gets in the way of the picture-perfect
                                    beauty of your pool.</span>
                            </p>
                        </div>
                        <?php if (isset($nptcheck) && $nptcheck == "yes") {?>
                        <div id="hot-spot-npt" class="iziModal">
                            <button data-izimodal-close="" class="modal-close-btn">
                                <i class="icon-cancel ll-ui-icon-shadow">
                                </i>
                            </button>
                            <div class="ll-flex-row">
                                <p style="flex-grow: 1;width: 50%;">
                                    <span lang="fr"></span><span lang="en">The exclusive NPT® Designer Surfaces
                                        Collection of interior vinyl pool surfaces
                                        reflect
                                        the unique beauty of some of the world’s most popular pool tiles, paired with
                                        stunning
                                        complementary finishes.</span>
                                </p>
                                <div style="flex-grow: 1;width: 40%;">
                                    <img src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/ui-assets/npt-logo-1.png"
                                        alt="NPT">
                                </div>
                            </div>
                        </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
        <div id="camera-angle-container" class="canvi-navbarxx">
            <div id='angle-select-thumbnails'>
                <a href="#!" class="angle-selector" id="thumb-anchor-1">
                    <img id="ll-thumb-1" class="lozad ll-cfg-img">
                </a>
                <a href="#!" class="angle-selector" id="thumb-anchor-2">
                    <img id="ll-thumb-2" class="lozad ll-cfg-img">
                </a>
                <a href="#!" class="angle-selector" id="thumb-anchor-3">
                    <img id="ll-thumb-3" class="lozad ll-cfg-img">
                </a>
                <a href="#!" class="angle-selector" id="thumb-anchor-4">
                    <img id="ll-thumb-4" class="lozad ll-cfg-img">
                </a>
                <a href="#!" class="angle-selector" id="thumb-anchor-5">
                    <img id="ll-thumb-5" class="lozad ll-cfg-img">
                </a>
            </div>
        </div>
    </div>
    <div class="summary-configuration">
        <div id="backyard-config-summary">
            <div class="ll-completed-nav">
                <div>
                    <span class="summary-title"><span lang="fr"></span><span lang="en">Your Backyard
                            Configuration</span>
                    </span>
                </div>
                <div class="finish-btn-group">
                    <a href="javascript:void(0)" onclick="window.location.reload()" type="button">
                        <i class="icon-arrows-ccw">
                        </i>
                    </a>
                    <?php if( isset($gsg_ll_contact_btn_txt) && isset($gsg_ll_contact_btn_url) ) { ?>
                    <a class="ll-cta-btn" href="<?php echo esc_url($gsg_ll_contact_btn_url); ?>" target="_blank">
                        <strong>
                            <?php echo $gsg_ll_contact_btn_txt ?>
                        </strong>
                    </a>
                    <?php } else { ?>
                    <a class="ll-cta-btn" href="https://lathampools.com" target="_blank">
                        <strong><span lang="fr"></span><span lang="en">Find a
                                Dealer</span>
                        </strong>
                    </a>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="theOverlayContainer" class="md-overlay">
</div>